Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Class DHTMLConstant

    java.lang.Object
      jet.web.dhtml.DHTMLOldConstant
          jet.web.dhtml.DHTMLConstant

    public class DHTMLConstant

extends jet.web.dhtml.DHTMLOldConstant

The class defines the constants that are used in JRServer DHTML part.

Field Summary
`static java.lang.String` | `ABSOLUTE_URI`
`static int` | `ADD_FLY_FORMULA`
`static int` | `ADD_FLY_MEASURE`
`static java.lang.String` | `ALERT_CANNOT_CONVERT_QUERY`
`static java.lang.String` | `ALERT_CANNOT_DELETE`
`static java.lang.String` | `ALERT_CHANGE_PROPERTY_FAIL`
`static java.lang.String` | `ALERT_INSERT_DBFIELD_INVALID`
`static java.lang.String` | `ALERT_INVALID_DBFIELD_NAME`
`static java.lang.String` | `ALERT_ITEM`
`static java.lang.String` | `ALERT_JOIN_PATH`
`static java.lang.String` | `ALERT_MESSAGE_ID`
`static java.lang.String` | `ALERT_NEW_REPORT_ERROR`
`static java.lang.String` | `ALERT_OPEN_REPORT_ERROR`
`static java.lang.String` | `ALERT_PARAMETER`
`static java.lang.String` | `ALERT_REPORT_TIMEOUT`
`static java.lang.String` | `ALERT_REPORTSET_TIMEOUT`
`static java.lang.String` | `ALERT_SAME_REPORT_NAME_ERROR`
`static java.lang.String` | `ALERT_SAVE_REAL_PATH_FOLDER_ERROR`
`static java.lang.String` | `ALERT_SAVE_SORT_FILTER_FINISHED`
`static java.lang.String` | `ALERT_SEARCH_FAIL`
`static java.lang.String` | `ALERT_SEARCH_FINISHED`
`static java.lang.String` | `ALERT_SEARCH_INVALID`
`static java.lang.String` | `ALERT_WRONG_CATALOG`
`static java.lang.String` | `ALL_VALUE_STR`
`static java.lang.String` | `ANCHOR`
`static java.lang.String` | `AND`
`static java.lang.String` | `ASCENDING`
`static java.lang.String` | `BARIDX`
`static java.lang.String` | `BETWEEN`
`static int` | `BROWSER_CHROME` The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_.
`static int` | `BROWSER_FIREFOX` The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_.
`static int` | `BROWSER_IE` The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_.
`static java.lang.String` | `BROWSER_LOCALE`
`static int` | `BROWSER_MOZILLA` The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_.
`static int` | `BROWSER_NETSCAPE` The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_.
`static int` | `BROWSER_OPERA` The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_.
`static int` | `BUILD_SEARCH`
`static int` | `CANCEL_CLOSE_REPORT_TASK`
`static java.lang.String` | `CANCEL_ENCODING`
`static int` | `CANCEL_JOIN_PATH`
`static int` | `CANCEL_PARAMETERS`
`static int` | `CANCEL_REPORT`
`static java.lang.String[]` | `canDoFilterComponentTypes`
`static java.lang.String[]` | `canDoSearchByValueComponentTypes`
`static java.lang.String[]` | `canDoSortComponentTypes`
`static java.lang.String[]` | `canDoSortComponentTypes_fromContextMenu`
`static java.lang.String[]` | `canDoTopNComponentTypes`
`static java.lang.String[]` | `canDoTopNComponentTypes_fromContextMenu`
`static int` | `CASCADING_EXPORT_PARAMS`
`static int` | `CASCADING_PARAM_CHANGED`
`static java.lang.String` | `CATALOG_NAME`
`static java.lang.Object` | `CATALOG_PATH`
`static java.lang.Object` | `CATALOG_VER_NUM`
`static int` | `CHANGE_AUTO_REFRESH_REPORT_DATA_MODE`
`static int` | `CHANGE_FILTER_CONTROL_COLUMN`
`static int` | `CHANGE_NLS`
`static int` | `CHANGE_OPTION`
`static int` | `CHANGE_PROPERTY`
`static int` | `CHANGE_TABLE_COLUMN`
`static int` | `CHANGE_TOOLBAR_STATUS`
`static int` | `CHANGERPTSHEET`
`static int` | `CHANGERPTSTYLE`
`static java.lang.String` | `CHANGSKIN`
`static int` | `CHART_FORMAT`
`static int` | `CHARTTYPE_COMPRESS_MENU`
`static int` | `CHARTTYPE_MENU`
`static int` | `CHARTTYPEENABLE`
`static int` | `CHECK_ALIVE`
`static java.lang.String` | `CHECK_CODE`
`static int` | `CHECK_CREATE_SESSION_ERROR`
`static int` | `CHECK_CREATE_SESSION_OK`
`static int` | `CHECK_EXCEED_REPORT_CAN_OPEN`
`static int` | `CHECK_EXCEED_REPORT_LICENSE`
`static int` | `CHECK_EXCEED_REPORT_SESSION`
`static int` | `CHECK_EXCEED_USER`
`static int` | `CHECK_EXCEPTION`
`static int` | `CHECK_EXTRA_CHANNEL`
`static int` | `CHECK_FLY_FORMULA_EXPRESSION`
`static int` | `CHECK_FLY_RESOURCE_NAME`
`static int` | `CHECK_HAS_JOIN_PATH_FOR_OPEN`
`static int` | `CHECK_HAVE_EXCEPTION`
`static int` | `CHECK_OK`
`static java.lang.String` | `CHECK_OPEN_STATES`
`static int` | `CHECK_OVER_MAXOPEN`
`static java.lang.String` | `CHECK_OVER_MAXOPEN_STATES`
`static int` | `CHECK_PIPELINE_TASK`
`static int` | `CHECK_WRONG_CATALOG`
`static int` | `CLEAR_FILTER_CTRL`
`static int` | `CLOSE_CURRENT_RPTSHEET`
`static int` | `CLOSE_EMPTY_DETAIL`
`static int` | `CLOSE_RPT_SHEETS`
`static int` | `CLOSE_RPTSET`
`static java.lang.String` | `COLORPOS`
`static java.lang.String` | `COLUMN`
`static java.lang.String` | `COLUMN_INDEX`
`static java.lang.String` | `COLUMN_NAME`
`static java.lang.String` | `COM_INST_NAME`
`static java.lang.String` | `COM_TYPE_CHART`
`static java.lang.String` | `COM_TYPE_CROSSTABLE`
`static java.lang.String` | `COM_TYPE_SECTION`
`static java.lang.String` | `COM_TYPE_TABLE`
`static java.lang.String` | `COM_TYPE_TABULAR`
`static int` | `COMCONTROL_MENU`
`static java.lang.String` | `COMP_DSOTREE` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_LINKPANEL` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_MAINMENU` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_REPORTPANEL` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_RPTSETBAR` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_STYLE_CHART_CURRENT_PTYPE`
`static java.lang.String` | `COMP_STYLE_CURRENT_STYLE`
`static java.lang.String` | `COMP_STYLE_INHERIT`
`static java.lang.String` | `COMP_STYLE_NAME`
`static java.lang.String` | `COMP_STYLE_REPLACE_CURRENT_STYLE`
`static java.lang.String` | `COMP_STYLE_TYPE`
`static java.lang.String` | `COMP_TOCTREE` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_TOOLBAR` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_TOOLBOX` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMP_USERINFOBAR` The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_.
`static java.lang.String` | `COMPID`
`static java.lang.String` | `COMPONENT_TYPE`
`static int` | `COMPONENT_TYPE_BOX`
`static int` | `COMPONENT_TYPE_CHART`
`static int` | `COMPONENT_TYPE_CHARTLABEL`
`static int` | `COMPONENT_TYPE_CHARTLEGEND`
`static int` | `COMPONENT_TYPE_CHARTPLATFORM`
`static int` | `COMPONENT_TYPE_COMPFLOAT`
`static int` | `COMPONENT_TYPE_CROSS_TAB`
`static int` | `COMPONENT_TYPE_DETAIL_PANEL`
`static int` | `COMPONENT_TYPE_FIELD`
`static int` | `COMPONENT_TYPE_GROUP_FOOTER_PANEL`
`static int` | `COMPONENT_TYPE_GROUP_HEADER_PANEL`
`static int` | `COMPONENT_TYPE_GROUPCONTROLIMG`
`static int` | `COMPONENT_TYPE_LINE`
`static int` | `COMPONENT_TYPE_MAP`
`static int` | `COMPONENT_TYPE_MAP_AREA`
`static int` | `COMPONENT_TYPE_MULTI_VALUE_BOX`
`static int` | `COMPONENT_TYPE_NAVIGATOR_BUTTON`
`static int` | `COMPONENT_TYPE_NAVIGATOR_CTRL`
`static int` | `COMPONENT_TYPE_NEW_TABLE`
`static int` | `COMPONENT_TYPE_OLE`
`static int` | `COMPONENT_TYPE_ONSCREEN_FILTER`
`static int` | `COMPONENT_TYPE_PAGE_FOOTER_PANEL`
`static int` | `COMPONENT_TYPE_PAGE_HADER_PANEL`
`static int` | `COMPONENT_TYPE_PARAGRAPH`
`static int` | `COMPONENT_TYPE_PARAM_FORM_CTRL`
`static int` | `COMPONENT_TYPE_PICTURE`
`static int` | `COMPONENT_TYPE_REPORT_BODY`
`static int` | `COMPONENT_TYPE_REPORT_FOOTER_PANEL`
`static int` | `COMPONENT_TYPE_REPORT_HEADER_PANEL`
`static int` | `COMPONENT_TYPE_SECTION_FOOTER`
`static int` | `COMPONENT_TYPE_SECTION_HEADER`
`static int` | `COMPONENT_TYPE_SECTION_OBJECT`
`static int` | `COMPONENT_TYPE_SECTION_PAGEFOOTER`
`static int` | `COMPONENT_TYPE_SECTION_PAGEHADER`
`static int` | `COMPONENT_TYPE_SECTION_PAGEPANEL`
`static int` | `COMPONENT_TYPE_SUB_REPORT`
`static int` | `COMPONENT_TYPE_SUBREPORT_BODY`
`static int` | `COMPONENT_TYPE_TABLE`
`static int` | `COMPONENT_TYPE_TABLE_CELL`
`static int` | `COMPONENT_TYPE_TABLE_DETAIL`
`static int` | `COMPONENT_TYPE_TABLE_FOOTER`
`static int` | `COMPONENT_TYPE_TABLE_GROUP_FOOTER`
`static int` | `COMPONENT_TYPE_TABLE_GROUP_HEADER`
`static int` | `COMPONENT_TYPE_TABLE_HEADER`
`static int` | `COMPONENT_TYPE_TABLE_ROW`
`static int` | `COMPONENT_TYPE_TABULAR`
`static int` | `COMPONENT_TYPE_TABULAR_CELL`
`static int` | `COMPONENT_TYPE_TEXT_BOX`
`static int` | `COMPONENT_TYPE_TEXT_FIELD`
`static int` | `COMPONENT_TYPE_TEXT_SEGMENT`
`static int` | `COMPONENT_TYPE_UDO`
`static java.lang.String` | `CONFIRM_RERUNENGINE`
`static int` | `CONLINK`
`static java.lang.String` | `CONNECTH`
`static int` | `CONTAINER_TYPE_CHART`
`static int` | `CONTAINER_TYPE_CROSSTAB`
`static int` | `CONTAINER_TYPE_GROUP`
`static int` | `CONTAINER_TYPE_MAP`
`static int` | `CONTAINER_TYPE_MULTIVALUE`
`static int` | `CONTAINER_TYPE_REPORTBODY`
`static int` | `CONTAINER_TYPE_SECTION`
`static int` | `CONTAINER_TYPE_SECTIONOBJECT`
`static int` | `CONTAINER_TYPE_TABLE`
`static int` | `CONTAINER_TYPE_TABLECELL`
`static int` | `CONTAINER_TYPE_TABLEROW`
`static int` | `CONTAINER_TYPE_TABULAR`
`static int` | `CONTAINER_TYPE_TABULARCELL`
`static int` | `CONTAINER_TYPE_TEXTBOX`
`static java.lang.String` | `CONTENT`
`static int` | `CONTEXT_MENU`
`static java.lang.String` | `CONTEXTMENU_BCFILTER`
`static java.lang.String` | `CONTEXTMENU_CHARTTYPE`
`static java.lang.String` | `CONTEXTMENU_DELETE`
`static java.lang.String` | `CONTEXTMENU_DETAILREPORT`
`static java.lang.String` | `CONTEXTMENU_DISPLAYNAME`
`static java.lang.String` | `CONTEXTMENU_DRILL`
`static java.lang.String` | `CONTEXTMENU_EXPAND`
`static java.lang.String` | `CONTEXTMENU_FILTER`
`static java.lang.String` | `CONTEXTMENU_FILTERCONTROL`
`static java.lang.String` | `CONTEXTMENU_GOTO`
`static java.lang.String` | `CONTEXTMENU_LINKREPORT`
`static java.lang.String` | `CONTEXTMENU_PROPERTIES`
`static java.lang.String` | `CONTEXTMENU_REFRESH`
`static java.lang.String` | `CONTEXTMENU_RESET`
`static java.lang.String` | `CONTEXTMENU_ROTATE`
`static java.lang.String` | `CONTEXTMENU_SEARCH`
`static java.lang.String` | `CONTEXTMENU_SHOWORHIDE`
`static java.lang.String` | `CONTEXTMENU_SORT`
`static java.lang.String` | `CONTEXTMENU_STYLE`
`static java.lang.String` | `CONTEXTMENU_TOCHART`
`static java.lang.String` | `CONTEXTMENU_TOCROSSTAB`
`static java.lang.String` | `CONVERT_FROM_ENCODING`
`static int` | `CONVERT_QUERY`
`static int` | `CONVERT_TABLE_COLUMN`
`static java.lang.String` | `CONVERT_TO_ENCODING`
`static java.lang.String` | `CONVERTENCODING`
`static int` | `CREATE_NEWREPORT`
`static int` | `CREATE_SESSION_EXCEED_USER`
`static int` | `CREATERPT_FROMSERVER`
`static java.lang.String` | `CROSSTAB_COLLAPSE`
`static java.lang.String` | `CROSSTAB_EXPAND_PROPERTY`
`static java.lang.String` | `CROSSTAB_EXPANDED`
`static java.lang.String` | `CSSEXP`
`static java.lang.String` | `CURRENT_BROWSER_TIME`
`static java.lang.String` | `CURRENT_RPT`
`static int` | `CUSTOM_ACTION`
`static int` | `CUSTOMIZE_WEB_ACTION`
`static int` | `DEEXPIRE_SESSION`
`static int` | `DELETE_CURRENT_RPTSHEET`
`static int` | `DELETE_FLY_FORMULA`
`static int` | `DELETE_RPT_SHEETS`
`static java.lang.String` | `DESCENDING`
`static int` | `DETAIL`
`static int` | `DETAILREPORTENABLE`
`static java.lang.String` | `DETAILRPT`
`static java.lang.String` | `DHTML_EXCEPTION`
`static java.lang.String` | `DHTML_HELP_OP`
`static java.lang.String` | `DHTML_PREFIX`
`static java.lang.String` | `DHTML_PROPERTIES_FILE`
`static java.lang.String` | `DHTML_STYLE`
`static java.lang.String` | `DHTML_TAGLIB_COMPONENT_ID`
`static java.lang.String` | `DHTML_TITLE_PREFIX`
`static java.lang.String` | `DIGITALID_CHECKCODE`
`static java.lang.String` | `DIMENSION_NAME`
`static int` | `DO_CONFIRM`
`static int` | `DO_JOIN_PATH`
`static int` | `DO_NAVIGATOR`
`static java.lang.String` | `DOWNLOAD_FILENAME`
`static int` | `DRILL_BACK_TO`
`static int` | `DRILL_DOWN`
`static int` | `DRILL_TO`
`static int` | `DRILL_TO_BY_VALUE`
`static int` | `DRILL_TO_DETAIL`
`static int` | `DRILL_UP`
`static int` | `DRILLDOWNENABLE`
`static int` | `DRILLENABLE`
`static int` | `DRILLTOBYVALUEENABLE`
`static int` | `DRILLTODETAILENABLE`
`static int` | `DRILLTOENABLE`
`static java.lang.String` | `DS_ID`
`static java.lang.String` | `DS_ID_ARRAY`
`static int` | `DSFIELD_TYPE_DBFIELD`
`static int` | `DSFIELD_TYPE_LABEL`
`static int` | `DSFIELD_TYPE_MULTIVALUECONTAINER`
`static int` | `DSFIELD_TYPE_PARAMETERFIELD`
`static int` | `DSFIELD_TYPE_SPECIALFIELD`
`static java.lang.String` | `DYNAMIC_SRC_NAME`
`static int` | `EDIT_BCFILTER`
`static java.lang.String` | `ENCODE`
`static java.lang.String` | `ENCODING`
`static java.lang.String` | `END`
`static java.lang.String` | `ENGINE_KEYWORD`
`static java.lang.String` | `EQUALS`
`static java.lang.String` | `ERROR_MSG`
`static java.lang.String` | `ERRORSRC`
`static java.lang.String` | `EVENT_SRC`
`static java.lang.String` | `EXCEPTIONID`
`static int` | `EXPAND_GROUP`
`static int` | `EXPORT_TYPE_RSD`
`static java.lang.String` | `FEATURE_ALIGN_SUMMARIES` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_BC_FILTER` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CHANGE_PARAMETERS` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CHARTTYPE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CHECKRSC` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CONVERTQUERY_PROMPT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CREATE_REPORT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CREATE_REPORTSET` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CREATEREPORT_PROMPT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CUSTOMIZE_INDENT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_CUSTOMIZE_INDENT_SIZE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_DRILL` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_DSOTREE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_EDITREPORT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_EXPORTTO` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_FILTER` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_FILTER_CRITERA` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_FILTERCONTROL` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_GOTO` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_GRID` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_GROUP` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_HELP` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_INSERT_OR_REMOVE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_INTERACTIVE_VIEW`
`static java.lang.String` | `FEATURE_MENU` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_MERGE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_MOUSE_WHEEL_TURN_TO_PAGE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_MOVE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_NAVIGATION` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_NEW` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_OPEN` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_PAGESETUP` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_PIVOT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_POPUP_CRITERA` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_POPUPMENU` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_PREVIEW` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_PRINT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_RECORD_NUMBER` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_REFRESH` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_RESET` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_RESIZE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_ROTATECROSSTAB` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_RPTSETBAR` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SAVE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SAVE_SUBREPORTS` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SAVEAS` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SAVERESULT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SEARCH` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SHOW_MASTER_REPORT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SHOW_MESSAGE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SHOW_TOOL_TIPS` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SKIN` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SORT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SORT_CRITERA` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SPLIT` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_STYLE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_SWITCH_REPORTS_WITH_TAB` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_TOC_SHOWGROUPBYNAME` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_TOCHART` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_TOCROSSTAB` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_TOCTREE` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_TOOLBAR` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_TOOLBOX` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_UNDOREDO` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_USERINFOBAR` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_VERTICAL_GROUP_HEADER` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static java.lang.String` | `FEATURE_ZOOM` The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_.
`static int` | `FIELD_FILTERABLE`
`static int` | `FIELD_SORTRABLE`
`static java.lang.String` | `FILESEPARATOR`
`static int` | `FILTER`
`static java.lang.String` | `FILTER_MAIN_REPORT_KEY`
`static int` | `FILTER_MORE`
`static int` | `FILTER_TOPN`
`static int` | `FILTERALL` The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER.
`static int` | `FILTERBOMN` The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER.
`static int` | `FILTERCONTEXTMAXVALUE` The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER.
`static int` | `FILTERENABLE`
`static int` | `FILTERMORE` The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER.
`static int` | `FILTERTOPN` The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER.
`static int` | `FIRST_PAGE`
`static java.lang.String` | `FROM_DESIGNER`
`static int` | `GET_ACTION_STATUS`
`static int` | `GET_DATACONTAINERS`
`static int` | `GET_DATACONTAINERS_ON_QUERY`
`static int` | `GET_DRILL_FILTER`
`static int` | `GET_DYNAMIC_RESOURCE`
`static int` | `GET_EXPORT_PARAMS`
`static int` | `GET_FILTER_CONTROL_DEF`
`static int` | `GET_FILTER_CONTROL_MORE_VALUE_LIST`
`static int` | `GET_GOOGLE_MAP_DATA`
`static int` | `GET_NLS_LSIT`
`static int` | `GET_OLEOBJ_RESOURCE`
`static int` | `GET_PARAM_INFORMATION`
`static int` | `GET_REPORT_LIST`
`static int` | `GET_USED_PARAMS`
`static int` | `GETMAINUI`
`static int` | `GETPAGE`
`static java.lang.String` | `GIFEXP`
`static int` | `GODETAIL`
`static int` | `GODOWN`
`static int` | `GODOWNENABLE`
`static int` | `GOTO`
`static int` | `GOTO_PAGE`
`static int` | `GOTOBYVALUEENABLE`
`static int` | `GOTODETAILENABLE`
`static int` | `GOTOENABLE`
`static int` | `GOUP`
`static int` | `GOUPENABLE`
`static java.lang.String` | `GROUPBY`
`static java.lang.String` | `GROUPVALUE`
`static int` | `H_CHART_PLATFORM`
`static int` | `H_CREATE_CHART`
`static int` | `H_CREATE_CROSSTAB`
`static int` | `H_CREATE_SECTION`
`static int` | `H_CREATE_TABLE`
`static int` | `H_NEW_REPORT_SET`
`static int` | `H_PROP_CHART_DEFINITION`
`static int` | `H_PROP_CHART_LABEL`
`static int` | `H_PROP_CHART_LEGEND`
`static int` | `H_PROP_CHART_PAPER`
`static int` | `H_PROP_CONVERT_DATA_FIELDS`
`static int` | `H_PROP_CROSSTAB`
`static int` | `H_PROP_GROUP`
`static int` | `H_PROP_MULTI_VALUE`
`static int` | `H_PROP_PARAMETER_FIELD`
`static int` | `H_PROP_REPORT_BODY`
`static int` | `H_PROP_REPORT_PARAMETER`
`static int` | `H_PROP_SECTION_OBJECT`
`static int` | `H_PROP_SECTION_PANEL`
`static int` | `H_PROP_TABLE`
`static int` | `H_PROP_TABLE_CELL`
`static int` | `H_PROP_TABLE_ROW`
`static int` | `H_PROP_TABULAR`
`static int` | `H_PROP_TABULAR_CELL`
`static int` | `H_PROP_TEXT_BOX`
`static int` | `H_PROP_TO_CROSSTAB`
`static java.lang.String` | `HAS_JOIN_PATH`
`static java.lang.String` | `HAS_SUBMITED`
`static int` | `HCHARTFORMATDLG`
`static int` | `HCOLORPICKERDLG`
`static int` | `HCUSTOMIZE`
`static int` | `HDBFDLG`
`static int` | `HDBFPROPDLG`
`static int` | `HDEFAULT`
`static int` | `HDETAILSECDLG`
`static int` | `HDRAGDLG`
`static int` | `HELP_AGGREGATE_ON_DLG`
`static int` | `HELP_APPLY_STYLE_DLG`
`static int` | `HELP_AXIS_X`
`static int` | `HELP_AXIS_Y`
`static int` | `HELP_AXIS_Y2`
`static int` | `HELP_BCFILTER_DLG`
`static int` | `HELP_BUTTON_PROP_DLG`
`static int` | `HELP_COND_FMT_DLG`
`static int` | `HELP_CUSTOMIZED_PAGE`
`static int` | `HELP_EDIT_CONDITION_BCFILTER_DLG`
`static int` | `HELP_FILTER_CONTRL_PROP_DLG`
`static int` | `HELP_FORMULA_EDT_DLG`
`static int` | `HELP_INS_FILTER_CONTRL_DLG`
`static int` | `HELP_INS_IMG_DLG`
`static int` | `HELP_INS_PARAM_CONTRL_DLG`
`static int` | `HELP_INS_PARAM_FORM_CONTRL_DLG`
`static int` | `HELP_INSERT_DC_DLG`
`static int` | `HELP_INSERT_GC_DLG`
`static int` | `HELP_INSERT_SC_DLG`
`static int` | `HELP_MEASURE_EDT_DLG`
`static int` | `HELP_NAVIGATION_PROP_DLG`
`static int` | `HELP_ORDER_SELECT_N_DLG`
`static int` | `HELP_PARAM_CONTROL_PROP_DLG`
`static int` | `HELP_PARAM_FORM_CONTROL_PROP_DLG`
`static int` | `HELP_SELECT_FIELD_DLG`
`static int` | `HELP_SELECT_GROUP_POSITION_DLG`
`static int` | `HELP_SELECT_RES_DLG`
`static int` | `HENCODINGDLG`
`static int` | `HEXPHTML`
`static int` | `HEXPPDF`
`static int` | `HEXPPS`
`static int` | `HEXPRTF`
`static int` | `HEXPTXT`
`static int` | `HEXPXLS`
`static int` | `HEXPXML`
`static int` | `HFILTER_BOTTOMN`
`static int` | `HFILTER_TOPN`
`static int` | `HFILTERM`
`static int` | `HFLT`
`static int` | `HFORMULA`
`static int` | `HGOTOPAGEDLG`
`static int` | `HGRPDLG`
`static int` | `HGRPHEADSECPROPDLG`
`static int` | `HIDEN_TABLE_COLUMN`
`static int` | `HIMGPROPDLG`
`static int` | `HLABELDLG`
`static int` | `HLABELPROPDLG`
`static int` | `HNEWREPORTDLG`
`static int` | `HNEWRPTSET`
`static int` | `HNEWTOOLBARNAMEDLG`
`static int` | `HOPENRPTDLG`
`static int` | `HPAGEDLG`
`static int` | `HPAGEFOOTSECPROPDLG`
`static int` | `HPAGEHEADSECPROPDLG`
`static int` | `HPARAM`
`static int` | `HPARAMDLG`
`static int` | `HPARAMETERMULTIDLG`
`static int` | `HPARAMPROPDLG`
`static int` | `HPDFENCRYPTDLG`
`static int` | `HPDFSIGNDLG`
`static int` | `HPREPD`
`static int` | `HPRINT`
`static int` | `HRECORDNUMBERDLG`
`static int` | `HRENAMESHEETDLG`
`static int` | `HRPTFOOTSECPROPDLG`
`static int` | `HRPTHEADSECPROPDLG`
`static int` | `HRPTPROPDLG`
`static int` | `HSAVE`
`static int` | `HSAVEALERTDLG`
`static int` | `HSAVEAS`
`static int` | `HSAVERESULT`
`static int` | `HSAVEVALIDATEDLG`
`static int` | `HSEAR`
`static int` | `HSECDLG`
`static int` | `HSELECTJOINPATHDLG`
`static int` | `HSELECTPARAMETERDLG`
`static int` | `HSELECTVALUEDLG`
`static int` | `HSORTDLG`
`static int` | `HSPECFDLG`
`static int` | `HSPECFPROPDLG`
`static int` | `HSPLITCELL`
`static int` | `HSTYLEDLG`
`static int` | `HSUMMARY`
`static java.lang.String` | `HTMEXP`
`static java.lang.String` | `HTML`
`static int` | `HTOCHARTDLG`
`static int` | `HTOCHATDLG`
`static int` | `HZOOMDLG`
`static java.lang.String` | `IN`
`static int` | `INSERT_COMPONENT`
`static int` | `INSERT_CROSSTAB_MEASURE`
`static int` | `INSERT_DBFIELDS`
`static int` | `INSERT_DIMENSIONS_ON_CROSSTAB`
`static int` | `INSERT_FIELD`
`static int` | `INSERT_GROUP_ON_SECTION`
`static int` | `INSERT_GROUP_ON_TABLE`
`static int` | `INSERT_PICTURE`
`static int` | `INSERT_TABLE_COLUMN`
`static java.lang.String` | `INST_NAME`
`static int` | `INTERACTIVE_EXPORT_PARAMS`
`static java.lang.String` | `IS_DIGITALID_CHECKOK`
`static java.lang.String` | `IS_NOT_NULL`
`static java.lang.String` | `IS_NULL`
`static java.lang.String` | `IS_SAVE_IN_LOCAL`
`static java.lang.String` | `IS_SAVE_TO_FILE`
`static java.lang.String` | `IS_SAVE_TO_VERSION`
`static java.lang.String` | `IS_SHOW`
`static java.lang.String` | `IS_USE_SCRIPT_API`
`static java.lang.String` | `ISALL`
`static java.lang.String` | `ISCONTENT`
`static java.lang.String` | `ISDYNAMIC`
`static java.lang.String` | `ISESPECIALCONNECT`
`static java.lang.String` | `ISEXTRA_CHANNEL`
`static java.lang.String` | `ISMATCH_CASE`
`static java.lang.String` | `ISNOFRAME`
`static java.lang.String` | `ISRANGEALL`
`static java.lang.String` | `ISRMI`
`static java.lang.String` | `ISUP`
`static java.lang.String` | `ISVALUELIST`
`static java.lang.String` | `ISWHOLE_WORD`
`static java.lang.String` | `JOIN_PATH`
`static java.lang.String` | `JOIN_PATH_FOR_OPEN`
`static java.lang.String` | `JOIN_PATH_FOR_OPEN_OK`
`static java.lang.String` | `JPGEXP`
`static java.lang.String` | `JRS_AUTO_REFRESH_DATA`
`static java.lang.String` | `JRS_AUTO_REFRESH_DATA_TIME`
`static java.lang.String` | `JRS_FILE`
`static java.lang.String` | `JRS_RESOURCE_PATH`
`static java.lang.String` | `JSCODE`
`static int` | `LAST_PAGE`
`static java.lang.String` | `LESS_THAN`
`static java.lang.String` | `LESS_THAN_EQUALS`
`static java.lang.String` | `LIKE`
`static int` | `LINK`
`static int` | `LINK_CONTENT`
`static int` | `LINKDETAIL`
`static int` | `LINKREPORTENABLE`
`static int` | `LOCK_SCREEN`
`static int` | `LOGIC_WITHEXIST_AND`
`static int` | `LOGIC_WITHEXIST_OR`
`static int` | `LOGIC_WITHEXIST_REPLACE`
`static int` | `MAX_OP`
`static java.lang.String` | `MEASURE_NAME`
`static int` | `MERGE_TABULAR`
`static int` | `MODIFY_FLY_FORMULA`
`static int` | `MODIFY_FLY_MEASURE`
`static int` | `MODIFY_TABLE_GROUP`
`static java.lang.String` | `MORE_THAN`
`static java.lang.String` | `MORE_THAN_EQUALS`
`static int` | `MOVE_COMPONENT`
`static int` | `MOVE_FIELD`
`static int` | `NAVIGATE_DETAIL`
`static int` | `NAVIGATE_DRILLPATH`
`static int` | `NAVIGATOR`
`static java.lang.String` | `NEW_CATALOG`
`static java.lang.String` | `NEW_OPEN_TASK_ID`
`static java.lang.String` | `NEW_RPT_NAME`
`static java.lang.String` | `NEWWINDOW`
`static int` | `NEXT_PAGE`
`static java.lang.String` | `NOT_BETWEEN`
`static java.lang.String` | `NOT_EQUALS`
`static java.lang.String` | `NOT_IN`
`static java.lang.String` | `NOT_LIKE`
`static java.lang.String` | `OLD_OPEN_TASK_ID`
`static java.lang.String` | `OLD_OPERATE`
`static java.lang.String` | `OLD_PARAMS_TRANSLATE`
`static java.lang.String` | `OLE_FILENAME`
`static int` | `ON_SCREEN_FILTER`
`static int` | `ONESTEP_SEARCH`
`static java.lang.String` | `ONLY_GET_INFO`
`static int[]` | `OP_ADHOC_MUST`
`static int[]` | `OP_ADHOC_PROBABLY`
`static int[]` | `OP_CAN_MODIFIED_REPORT`
`static java.lang.String` | `OPEN_FILENAME`
`static java.lang.String` | `OPEN_MULTIPLE_FILE_PATH`
`static int` | `OPEN_NEW_REPORT`
`static int` | `OPEN_REPORT`
`static int` | `OPEN_REPORT_SET`
`static int` | `OPEN_RPT_SHEETS`
`static java.lang.String` | `OPEN_RPT_TYPE`
`static java.lang.String` | `OPEN_TASK_ID`
`static java.lang.String` | `OPEN_TASK_LAST_STEP`
`static java.lang.String` | `OPEN_TYPE`
`static int` | `OPEN_TYPE_LINKRPT`
`static int` | `OPEN_TYPE_MDRPT`
`static int` | `OPEN_TYPE_NEWRPT`
`static int` | `OPEN_TYPE_RPTSET`
`static int` | `OPEN_TYPE_RPTSHEET`
`static int` | `OPEN_TYPE_RSDBURSTING`
`static int` | `OPEN_TYPE_RSDRPT`
`static int` | `OPEN_TYPE_UNKNOWN`
`static int` | `OPENDLG`
`static java.lang.String` | `OPERATE`
`static int[]` | `OPS_ADHOC`
`static java.lang.String` | `OPTION_FORMAT`
`static java.lang.String` | `OR`
`static int[]` | `PAGE_CONTROL_TOOLBAR`
`static java.lang.String` | `PAGENUM`
`static java.lang.String` | `PANEL_INST_NAME`
`static java.lang.String` | `PARAM_HAS_AXISX`
`static java.lang.String` | `PARAM_HAS_AXISY1`
`static java.lang.String` | `PARAM_HAS_AXISY2`
`static java.lang.String` | `PARAM_HAS_AXISZ`
`static java.lang.String` | `PARAM_HAS_BULLET`
`static java.lang.String` | `PARAM_HAS_THRESHOLDLINE`
`static java.lang.Object` | `PARAM_OBJ_DEF`
`static java.lang.String` | `PARAM_PROPERTIES`
`static java.lang.String` | `PARAMETERS`
`static java.lang.String` | `PARENT_DS_ID`
`static java.lang.String` | `PATHINFO`
`static java.lang.String` | `PDF`
`static int` | `PDF_SIGN_DIGITALID_FILE_VERIFY`
`static int` | `PIVOT_ON_CROSSTAB`
`static int` | `PIVOT_SECTION_GROUP_HEADER`
`static int` | `PIVOT_TABLE_GROUP_HEADER`
`static java.lang.String` | `PNGEXP`
`static int` | `PRESAVE_FLY_FORMULA`
`static int` | `PRESAVE_FLY_MEASURE`
`static int` | `PREV_PAGE`
`static int` | `PREVIEW`
`static java.lang.String` | `PREVIEW_MODE`
`static int` | `PRINT`
`static int` | `PROPERTYENABLE`
`static java.lang.String` | `QUERYSTRING`
`static java.lang.String` | `RECINDX`
`static int` | `RECORD_NUMBER`
`static java.lang.String` | `REDIRECT_URL`
`static int` | `REDO`
`static int` | `REFRESH`
`static java.lang.String` | `REFRESH_ARRAY`
`static java.lang.String` | `REFRESH_DRILLFILTER`
`static java.lang.String` | `REFRESH_DRILLPATH`
`static java.lang.String` | `REFRESH_DSO`
`static java.lang.String` | `REFRESH_LINKPATH`
`static java.lang.String` | `REFRESH_MAINMENU`
`static java.lang.String` | `REFRESH_REPORT`
`static int` | `REFRESH_REPORT_DATA`
`static java.lang.String` | `REFRESH_RPTSETBAR`
`static java.lang.String` | `REFRESH_SARCH_ALL`
`static java.lang.String` | `REFRESH_SEARCH`
`static java.lang.String` | `REFRESH_TOC`
`static java.lang.String` | `REFRESH_TOOLBAR`
`static java.lang.String` | `REFRESH_TOOLBOX`
`static java.lang.String` | `REFRESH_USERINFOBAR`
`static java.lang.String` | `REFRESHDIVS`
`static int` | `REMEMBER_SAVE_FILTER`
`static int` | `REMEMBER_SHOW_MESSAGE`
`static int` | `REMOVE_COMPONENT`
`static int` | `REMOVE_CROSSTAB_MEASURE`
`static int` | `REMOVE_DBFIELDS`
`static int` | `REMOVE_DIMENSION_ON_CROSSTAB`
`static int` | `REMOVE_DRILL_FILTER`
`static int` | `REMOVE_FLY_RESOURCE`
`static int` | `REMOVE_GROUP_ON_SECTION`
`static int` | `REMOVE_GROUP_ON_TABLE`
`static int` | `REMOVE_TABLE_COLUMN`
`static int` | `REMOVEFILTERENABLE`
`static int` | `RENAME_CURRENT_RPTSHEET`
`static int` | `RENAME_RPT_SHEETS`
`static int` | `REPLACE_TABLE_COLUMN`
`static java.lang.String` | `REPORT_NAME`
`static java.lang.String` | `REPORT_PAGE_MODE_LOGIC`
`static java.lang.String` | `REPORT_PAGE_MODE_PHYSICAL`
`static java.lang.String` | `REPORT_PAGE_PANEL`
`static java.lang.String` | `REPORT_PANEL`
`static java.lang.String` | `REPORT_RST`
`static java.lang.Object` | `REPORT_VER_NUM`
`static java.lang.String` | `REPORTSET_PROFILE`
`static java.lang.String` | `REPORTSET_RESOLUTION`
`static java.lang.String` | `REQUEST`
`static int` | `REQUEST_UNLOCK_SCREEN`
`static int` | `RERUNENGINE`
`static int` | `RESET_REPORT`
`static int` | `RESETSECTION`
`static int` | `RESIZE_COMPONENT`
`static int` | `RESIZE_MAINPAGE_PANEL`
`static java.lang.String` | `RESIZE_PANEL`
`static int` | `RESIZE_SECTIONPANEL`
`static int` | `RESIZE_TABLE_CELL`
`static int` | `ROTATE_CROSSTAB`
`static int` | `ROTATE_TABLE`
`static java.lang.String` | `RPT_NAME`
`static java.lang.String` | `RPT_NAMES`
`static java.lang.String` | `RPTSET`
`static java.lang.String` | `RPTSET_ID`
`static java.lang.String` | `RPTSHEET`
`static java.lang.String` | `RUNRPTPARAMS`
`static java.lang.String` | `SAME_REPORT_NAME`
`static int` | `SAVE`
`static int` | `SAVE_AS`
`static int` | `SAVE_RESULT`
`static java.lang.String` | `SAVE_RESULT_TYPE`
`static int` | `SAVE_RPT_SHEETS`
`static java.lang.String` | `SAVE_TYPE`
`static int` | `SAVE_WEBCONTROL_RUNTIME_VALUES`
`static java.lang.String` | `SCENE_ID`
`static int` | `SEARCH_NEXT`
`static int` | `SEARCHENABLE`
`static java.lang.String` | `SEPARATOR1`
`static java.lang.String` | `SEPARATOR2`
`static java.lang.String` | `SEPARATOR3`
`static java.lang.String` | `SERVERHOST`
`static java.lang.String` | `SERVERPORT`
`static java.lang.String` | `SERVERSCHEME`
`static java.lang.String` | `SESSION`
`static java.lang.String` | `SESSION_ID`
`static int` | `SET_ACTIVE_REPORT`
`static int` | `SET_CROSSTAB_EXPAND_STATE`
`static int` | `SET_DLG_STATUS`
`static java.lang.String` | `SHEETIDX`
`static int` | `SHOW_DRILLPATH`
`static int` | `SHOW_DSO`
`static int` | `SHOW_GRIDS`
`static int` | `SHOW_HIDE_COMPONENT`
`static int` | `SHOW_TOC`
`static int` | `SHOW_TOOLBAR`
`static int` | `SHOW_TOOLBOX`
`static int` | `SHOW_USERINFOBAR`
`static int[]` | `SIMPLE_VIEW_TOOLBAR`
`static int` | `SNAP_GRIDS`
`static int` | `SORT`
`static int` | `SORT_ASCENDING`
`static int` | `SORT_DESCENDING`
`static int` | `SORT_NOTSORTED`
`static int` | `SORTENABLE`
`static java.lang.String` | `SPECIAL_CATALOGPATHONDISK`
`static java.lang.String` | `SPECIAL_CATALOGPATHONSERVER`
`static java.lang.String` | `SPECIAL_FETCH_DATE`
`static java.lang.String` | `SPECIAL_FETCH_TIME`
`static java.lang.String` | `SPECIAL_GLOBAL_PAGE_N_OF_M`
`static java.lang.String` | `SPECIAL_GLOBAL_PAGE_NUMBER`
`static java.lang.String` | `SPECIAL_GLOBAL_TOTAL_PAGE_NUMBER`
`static java.lang.String` | `SPECIAL_GROUP_NAME`
`static java.lang.String` | `SPECIAL_GROUP_NUMBER`
`static java.lang.String` | `SPECIAL_MODIFIED_DATE`
`static java.lang.String` | `SPECIAL_MODIFIED_TIME`
`static java.lang.String` | `SPECIAL_PAGE_N_OF_M`
`static java.lang.String` | `SPECIAL_PAGE_NUMBER`
`static java.lang.String` | `SPECIAL_PEPORTPATHONDISK`
`static java.lang.String` | `SPECIAL_PEPORTPATHONSERVER`
`static java.lang.String` | `SPECIAL_PRINT_DATE`
`static java.lang.String` | `SPECIAL_PRINT_TIME`
`static java.lang.String` | `SPECIAL_RECORD_NUMBER`
`static java.lang.String` | `SPECIAL_SQL_STATEMENT`
`static java.lang.String` | `SPECIAL_TASK_ID`
`static java.lang.String` | `SPECIAL_TOTAL_FETCH_RECORDS`
`static java.lang.String` | `SPECIAL_TOTAL_GROUP_NUMBER`
`static java.lang.String` | `SPECIAL_TOTAL_PAGE_NUMBER`
`static java.lang.String` | `SPECIAL_TOTAL_RECORDS`
`static java.lang.String` | `SPECIAL_USER_NAME`
`static int` | `SPLIT_TABULAR_CELL`
`static java.lang.String` | `STACKIDX`
`static int` | `START_CLOSE_REPORT_TASK`
`static int` | `STYLE`
`static int` | `SUBMIT_FIELD_FORMAT_CONDITION`
`static int` | `SUBMIT_PARAMETERS`
`static int` | `SWITCH_AGG_FUNCTION`
`static int` | `SWITCH_DY_FORMULA`
`static int` | `SWITCH_SIMPLE_VIEW_MODE`
`static int` | `TABLE_AGGREGATE_ON_DC`
`static int` | `TABLE_COLUMN_HORIZONTAL_TO_DETAIL`
`static java.lang.String` | `TABLE_EXCEED_PAGESIZE`
`static int` | `TABLE_ROW_VERTICAL_TO_DETAIL`
`static java.lang.String` | `TAG_ENABLE_NLS`
`static java.lang.String` | `TAG_IS_NOT_TEMP_FILE`
`static int` | `TAGLIB_ACTION`
`static int` | `TAGLIB_ACTION_FILTER`
`static int` | `TAGLIB_ACTION_SORT`
`static java.lang.String` | `TAGLIB_OPERATE`
`static java.lang.String` | `TARGET_ID`
`static java.lang.String` | `TARGET_URI`
`static int` | `TO_BACKGROUND`
`static int` | `TO_CHART`
`static int` | `TO_CROSSTAB`
`static int` | `TOC_ACTION`
`static java.lang.String` | `TOOLBAR_ANALYSIS_NAME` The constant in the JRServer DHTML, that identifies the generic toolbar name, and starts with TOOLBAR_, ends with _NAME.
`static int` | `TOOLBAR_AUTOREFRESHREPORT_MODE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_BC_FILTER` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_CHANGE_PARMETERS` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_CHARTTYPE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_CHECKRSC` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static java.lang.String` | `TOOLBAR_CUSTOMIZESTYLE_NAME`
`static int` | `TOOLBAR_DELETE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_DSOTREE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EDIT_MARK` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_END` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTOHTML` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTOPDF` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTOPS` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTORTF` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTOTEXT` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTOXLS` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_EXPORTTOXML` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_FILTER` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_GROUP` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_HELP` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static java.lang.String` | `TOOLBAR_INHERITSTYLE_NAME`
`static java.lang.String` | `TOOLBAR_INHERITSTYLE_VALUE`
`static int` | `TOOLBAR_LINE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_MERGE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_NAVFIRST` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_NAVNEXT` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_NAVPREVIOUS` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_NEW` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_OPEN` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_PAGE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_PAGESETUP` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_PRINT` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_RECORD_NUMBER` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_REDO` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_REFRESH` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_RESET` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_ROTATECROSSTAB` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_ROTATETABLE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_SAVE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_SAVEAS` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_SAVERESULT` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_SEARCH` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_SORT` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_SPLIT` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static java.lang.String` | `TOOLBAR_STANDARD_NAME` The constant in the JRServer DHTML, that identifies the generic toolbar name, and starts with TOOLBAR_, ends with _NAME.
`static int` | `TOOLBAR_STYLE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static java.lang.String` | `TOOLBAR_STYLE_NO_STYLE_NAME`
`static int` | `TOOLBAR_TOCHART` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_TOCROSSTAB` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_TOCTREE` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_TOOLBOX` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_UNDO` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOOLBAR_USERINFOBAR` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static java.lang.String` | `TOOLBAR_VIEW_NAME` The constant in the JRServer DHTML, that identifies the generic toolbar name, and starts with TOOLBAR_, ends with _NAME.
`static int` | `TOOLBAR_ZOOM` The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_.
`static int` | `TOPNENABLE`
`static java.lang.String` | `TPLXP`
`static java.lang.String` | `TRANSLATE`
`static int` | `TURNTOENABLE`
`static java.lang.String` | `TYPE_BOOLEAN`
`static java.lang.String` | `TYPE_DATE`
`static java.lang.String` | `TYPE_DATETIME`
`static java.lang.String` | `TYPE_NUMBER`
`static java.lang.String` | `TYPE_STRING`
`static java.lang.String` | `TYPE_TIME`
`static int` | `UIEVENT`
`static int` | `UNDO`
`static int` | `UNKNOWN_OP`
`static java.lang.String` | `URI_ACTION_TASK_ID`
`static java.lang.String` | `URI_COLUMN`
`static java.lang.String` | `URI_COMPONENT`
`static java.lang.String` | `URI_FILTERCLEAR`
`static java.lang.String` | `URI_IS_CACHE_ACTION`
`static java.lang.String` | `URI_IS_INPUT`
`static java.lang.String` | `URI_IS_TOPN`
`static java.lang.String` | `URI_ISDATASET`
`static java.lang.String` | `URI_LOGIC`
`static java.lang.String` | `URI_LOGIC_WITHEXIST`
`static java.lang.String` | `URI_OPERATE`
`static java.lang.String` | `URI_ORDER`
`static java.lang.String` | `URI_SORT_TYPE`
`static java.lang.String` | `URI_START_POSITION`
`static java.lang.String` | `URI_SUBREPORTKEY`
`static java.lang.String` | `URI_TOPN_VALUE`
`static java.lang.String` | `URI_VALUE`
`static int` | `USE_NEW_DHTML_PATH`
`static java.lang.String` | `USE_THREAD_RUN`
`static java.lang.String` | `USER_AGENT`
`static java.lang.String` | `USER_NAME`
`static java.lang.String` | `USER_SKIN`
`static java.lang.String` | `VALUE_INDEX`
`static java.lang.String` | `VALUE_NAME`
`static java.lang.String` | `VALUE_RANGE_INDEX`
`static java.lang.String` | `VALUE_RANGE_NAME`
`static int` | `WEBPAGE_REFRESH`
`static java.lang.String` | `WINDOWNAME`
`static java.lang.String` | `X_VALUE`
`static java.lang.String` | `Z_VALUE`
`static int` | `ZOOM`

Fields inherited from class jet.web.dhtml.DHTMLOldConstant
`ALIGN_CENTERBOTTOM, ALIGN_CENTERCENTER, ALIGN_CENTERTOP, ALIGN_JUSTIFYBOTTOM, ALIGN_JUSTIFYCENTER, ALIGN_JUSTIFYTOP, ALIGN_LEFTBOTTOM, ALIGN_LEFTCENTER, ALIGN_LEFTTOP, ALIGN_RIGHTBOTTOM, ALIGN_RIGHTCENTER, ALIGN_RIGHTTOP, BTN_ALL, BTN_EXIT, BTN_EXPORT_TO_EXCEL, BTN_EXPORT_TO_HTML, BTN_EXPORT_TO_PDF, BTN_EXPORT_TO_PS, BTN_EXPORT_TO_RTF, BTN_EXPORT_TO_TEXT, BTN_EXPORT_TO_XML, BTN_FILTER, BTN_HELP, BTN_NEXT_SEARCH, BTN_PREVIOUS_SEARCH, BTN_PRINT, BTN_REDO, BTN_REFRESH, BTN_RESET, BTN_SAVE, BTN_SEARCH, BTN_SORT, BTN_UNDO, CSSBASE, CSSDYNAMIC, DELIM, DELIMF, DELIMM, DESIGN_CSS, DESIGN_SCRIPTS, DHTML_CSS, DHTML_SCRIPTS, ENTER, EQUAL, FLAG_DRILL, FLAG_EXPORT, FLAG_FILTER, FLAG_NAVIBAR, FLAG_NAVIGATE, FLAG_POPUP, FLAG_PRINT, FLAG_REFRESH, FLAG_RESET, FLAG_SAVE, FLAG_SEARCH, FLAG_SHOWMSTRPT, FLAG_SKIN, FLAG_SORT, FLAG_STYLE, FLAG_TOC, FLAG_TOOLBAR, FLAG_UNREDO, FLAG_USERBAR, FLAG_ZOOM, GE, GREATER, H_ALIGN_CENTER, H_ALIGN_LEFT, H_ALIGN_RIGHT, LE, LESS, NOTSORTED, SCROLLAUTO, SCROLLNO, SCROLLYES, UNEQUAL, V_ALIGN_BOTTOM, V_ALIGN_CENTER, V_ALIGN_TOP`

Constructor Summary
`DHTMLConstant()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_NEW_DHTML_PATH

    public static final int USE_NEW_DHTML_PATH

See Also:
  Constant Field Values

### DHTML_PROPERTIES_FILE

    public static final java.lang.String DHTML_PROPERTIES_FILE

See Also:
  Constant Field Values

### CREATE_SESSION_EXCEED_USER

    public static final int CREATE_SESSION_EXCEED_USER

See Also:
  Constant Field Values

### IS_SHOW

    public static final java.lang.String IS_SHOW

See Also:
  Constant Field Values

### CHECK_CODE

    public static final java.lang.String CHECK_CODE

See Also:
  Constant Field Values

### CHECK_OVER_MAXOPEN_STATES

    public static final java.lang.String CHECK_OVER_MAXOPEN_STATES

See Also:
  Constant Field Values

### CHECK_OPEN_STATES

    public static final java.lang.String CHECK_OPEN_STATES

See Also:
  Constant Field Values

### SESSION_ID

    public static final java.lang.String SESSION_ID

See Also:
  Constant Field Values

### RPTSET_ID

    public static final java.lang.String RPTSET_ID

See Also:
  Constant Field Values

### OPEN_TASK_ID

    public static final java.lang.String OPEN_TASK_ID

See Also:
  Constant Field Values

### NEW_OPEN_TASK_ID

    public static final java.lang.String NEW_OPEN_TASK_ID

See Also:
  Constant Field Values

### OLD_OPEN_TASK_ID

    public static final java.lang.String OLD_OPEN_TASK_ID

See Also:
  Constant Field Values

### RPT_NAME

    public static final java.lang.String RPT_NAME

See Also:
  Constant Field Values

### REQUEST

    public static final java.lang.String REQUEST

See Also:
  Constant Field Values

### ENGINE_KEYWORD

    public static final java.lang.String ENGINE_KEYWORD

See Also:
  Constant Field Values

### DS_ID

    public static final java.lang.String DS_ID

See Also:
  Constant Field Values

### DS_ID_ARRAY

    public static final java.lang.String DS_ID_ARRAY

See Also:
  Constant Field Values

### COM_INST_NAME

    public static final java.lang.String COM_INST_NAME

See Also:
  Constant Field Values

### INST_NAME

    public static final java.lang.String INST_NAME

See Also:
  Constant Field Values

### PANEL_INST_NAME

    public static final java.lang.String PANEL_INST_NAME

See Also:
  Constant Field Values

### PARENT_DS_ID

    public static final java.lang.String PARENT_DS_ID

See Also:
  Constant Field Values

### SESSION

    public static final java.lang.String SESSION

See Also:
  Constant Field Values

### RPTSET

    public static final java.lang.String RPTSET

See Also:
  Constant Field Values

### RPTSHEET

    public static final java.lang.String RPTSHEET

See Also:
  Constant Field Values

### USER_NAME

    public static final java.lang.String USER_NAME

See Also:
  Constant Field Values

### USER_SKIN

    public static final java.lang.String USER_SKIN

See Also:
  Constant Field Values

### TRANSLATE

    public static final java.lang.String TRANSLATE

See Also:
  Constant Field Values

### PATHINFO

    public static final java.lang.String PATHINFO

See Also:
  Constant Field Values

### QUERYSTRING

    public static final java.lang.String QUERYSTRING

See Also:
  Constant Field Values

### ERROR_MSG

    public static final java.lang.String ERROR_MSG

See Also:
  Constant Field Values

### TARGET_URI

    public static final java.lang.String TARGET_URI

See Also:
  Constant Field Values

### ABSOLUTE_URI

    public static final java.lang.String ABSOLUTE_URI

See Also:
  Constant Field Values

### JSCODE

    public static final java.lang.String JSCODE

See Also:
  Constant Field Values

### OPERATE

    public static final java.lang.String OPERATE

See Also:
  Constant Field Values

### OLD_OPERATE

    public static final java.lang.String OLD_OPERATE

See Also:
  Constant Field Values

### OLD_PARAMS_TRANSLATE

    public static final java.lang.String OLD_PARAMS_TRANSLATE

See Also:
  Constant Field Values

### COLUMN

    public static final java.lang.String COLUMN

See Also:
  Constant Field Values

### CONNECTH

    public static final java.lang.String CONNECTH

See Also:
  Constant Field Values

### EXCEPTIONID

    public static final java.lang.String EXCEPTIONID

See Also:
  Constant Field Values

### DHTML_EXCEPTION

    public static final java.lang.String DHTML_EXCEPTION

See Also:
  Constant Field Values

### DHTML_TITLE_PREFIX

    public static final java.lang.String DHTML_TITLE_PREFIX

See Also:
  Constant Field Values

### FILESEPARATOR

    public static final java.lang.String FILESEPARATOR

### CATALOG_NAME

    public static final java.lang.String CATALOG_NAME

See Also:
  Constant Field Values

### REPORT_NAME

    public static final java.lang.String REPORT_NAME

See Also:
  Constant Field Values

### NEW_RPT_NAME

    public static final java.lang.String NEW_RPT_NAME

See Also:
  Constant Field Values

### NEW_CATALOG

    public static final java.lang.String NEW_CATALOG

See Also:
  Constant Field Values

### RUNRPTPARAMS

    public static final java.lang.String RUNRPTPARAMS

See Also:
  Constant Field Values

### DHTML_TAGLIB_COMPONENT_ID

    public static final java.lang.String DHTML_TAGLIB_COMPONENT_ID

See Also:
  Constant Field Values

### FROM_DESIGNER

    public static final java.lang.String FROM_DESIGNER

See Also:
  Constant Field Values

### ISEXTRA_CHANNEL

    public static final java.lang.String ISEXTRA_CHANNEL

See Also:
  Constant Field Values

### ISNOFRAME

    public static final java.lang.String ISNOFRAME

See Also:
  Constant Field Values

### ISDYNAMIC

    public static final java.lang.String ISDYNAMIC

See Also:
  Constant Field Values

### ISRMI

    public static final java.lang.String ISRMI

See Also:
  Constant Field Values

### REFRESHDIVS

    public static final java.lang.String REFRESHDIVS

See Also:
  Constant Field Values

### REFRESH_MAINMENU

    public static final java.lang.String REFRESH_MAINMENU

See Also:
  Constant Field Values

### REFRESH_USERINFOBAR

    public static final java.lang.String REFRESH_USERINFOBAR

See Also:
  Constant Field Values

### REFRESH_RPTSETBAR

    public static final java.lang.String REFRESH_RPTSETBAR

See Also:
  Constant Field Values

### REFRESH_TOOLBAR

    public static final java.lang.String REFRESH_TOOLBAR

See Also:
  Constant Field Values

### REFRESH_DRILLPATH

    public static final java.lang.String REFRESH_DRILLPATH

See Also:
  Constant Field Values

### REFRESH_TOC

    public static final java.lang.String REFRESH_TOC

See Also:
  Constant Field Values

### REFRESH_DSO

    public static final java.lang.String REFRESH_DSO

See Also:
  Constant Field Values

### REFRESH_REPORT

    public static final java.lang.String REFRESH_REPORT

See Also:
  Constant Field Values

### REFRESH_LINKPATH

    public static final java.lang.String REFRESH_LINKPATH

See Also:
  Constant Field Values

### REFRESH_SEARCH

    public static final java.lang.String REFRESH_SEARCH

See Also:
  Constant Field Values

### REFRESH_TOOLBOX

    public static final java.lang.String REFRESH_TOOLBOX

See Also:
  Constant Field Values

### REFRESH_DRILLFILTER

    public static final java.lang.String REFRESH_DRILLFILTER

See Also:
  Constant Field Values

### CHANGSKIN

    public static final java.lang.String CHANGSKIN

See Also:
  Constant Field Values

### RESIZE_PANEL

    public static final java.lang.String RESIZE_PANEL

See Also:
  Constant Field Values

### ISESPECIALCONNECT

    public static final java.lang.String ISESPECIALCONNECT

See Also:
  Constant Field Values

### TOOLBAR_STANDARD_NAME

    public static final java.lang.String TOOLBAR_STANDARD_NAME

  The constant in the JRServer DHTML, that identifies the generic toolbar name, and starts with TOOLBAR_, ends with _NAME. `TOOLBAR_STANDARD_NAME`.

  See Also:
    Constant Field Values

### TOOLBAR_VIEW_NAME

    public static final java.lang.String TOOLBAR_VIEW_NAME

  The constant in the JRServer DHTML, that identifies the generic toolbar name, and starts with TOOLBAR_, ends with _NAME. `TOOLBAR_VIEW_NAME`.

  See Also:
    Constant Field Values

### TOOLBAR_ANALYSIS_NAME

    public static final java.lang.String TOOLBAR_ANALYSIS_NAME

  The constant in the JRServer DHTML, that identifies the generic toolbar name, and starts with TOOLBAR_, ends with _NAME. `TOOLBAR_ANALYSIS_NAME`.

  See Also:
    Constant Field Values

### TOOLBAR_LINE

    public static final int TOOLBAR_LINE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_LINE`.

  See Also:
    Constant Field Values

### TOOLBAR_ZOOM

    public static final int TOOLBAR_ZOOM

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_ZOOM`.

  See Also:
    Constant Field Values

### TOOLBAR_NAVFIRST

    public static final int TOOLBAR_NAVFIRST

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_NAVFIRST`.

  See Also:
    Constant Field Values

### TOOLBAR_NAVPREVIOUS

    public static final int TOOLBAR_NAVPREVIOUS

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_NAVPREVIOUS`.

  See Also:
    Constant Field Values

### TOOLBAR_NAVNEXT

    public static final int TOOLBAR_NAVNEXT

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_NAVNEXT`.

  See Also:
    Constant Field Values

### TOOLBAR_END

    public static final int TOOLBAR_END

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_END`.

  See Also:
    Constant Field Values

### TOOLBAR_PAGE

    public static final int TOOLBAR_PAGE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_PAGE`.

  See Also:
    Constant Field Values

### TOOLBAR_UNDO

    public static final int TOOLBAR_UNDO

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_UNDO`.

  See Also:
    Constant Field Values

### TOOLBAR_REDO

    public static final int TOOLBAR_REDO

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_REDO`.

  See Also:
    Constant Field Values

### TOOLBAR_SEARCH

    public static final int TOOLBAR_SEARCH

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_SEARCH`.

  See Also:
    Constant Field Values

### TOOLBAR_REFRESH

    public static final int TOOLBAR_REFRESH

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_REFRESH`.

  See Also:
    Constant Field Values

### TOOLBAR_RESET

    public static final int TOOLBAR_RESET

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_RESET`.

  See Also:
    Constant Field Values

### TOOLBAR_TOOLBOX

    public static final int TOOLBAR_TOOLBOX

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_TOOLBOX`.

  See Also:
    Constant Field Values

### TOOLBAR_TOCTREE

    public static final int TOOLBAR_TOCTREE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_TOCTREE`.

  See Also:
    Constant Field Values

### TOOLBAR_DSOTREE

    public static final int TOOLBAR_DSOTREE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_DSOTREE`.

  See Also:
    Constant Field Values

### TOOLBAR_USERINFOBAR

    public static final int TOOLBAR_USERINFOBAR

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_USERINFOBAR`.

  See Also:
    Constant Field Values

### TOOLBAR_HELP

    public static final int TOOLBAR_HELP

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_HELP`.

  See Also:
    Constant Field Values

### TOOLBAR_NEW

    public static final int TOOLBAR_NEW

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_NEW`.

  See Also:
    Constant Field Values

### TOOLBAR_OPEN

    public static final int TOOLBAR_OPEN

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_OPEN`.

  See Also:
    Constant Field Values

### TOOLBAR_SAVE

    public static final int TOOLBAR_SAVE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_SAVE`.

  See Also:
    Constant Field Values

### TOOLBAR_SAVEAS

    public static final int TOOLBAR_SAVEAS

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_SAVEAS`.

  See Also:
    Constant Field Values

### TOOLBAR_SAVERESULT

    public static final int TOOLBAR_SAVERESULT

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_SAVERESULT`.

  See Also:
    Constant Field Values

### TOOLBAR_PAGESETUP

    public static final int TOOLBAR_PAGESETUP

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_PAGESETUP`.

  See Also:
    Constant Field Values

### TOOLBAR_PRINT

    public static final int TOOLBAR_PRINT

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_PRINT`.

  See Also:
    Constant Field Values

### TOOLBAR_STYLE

    public static final int TOOLBAR_STYLE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_STYLE`.

  See Also:
    Constant Field Values

### TOOLBAR_GROUP

    public static final int TOOLBAR_GROUP

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_GROUP`.

  See Also:
    Constant Field Values

### TOOLBAR_SORT

    public static final int TOOLBAR_SORT

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_SORT`.

  See Also:
    Constant Field Values

### TOOLBAR_FILTER

    public static final int TOOLBAR_FILTER

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_FILTER`.

  See Also:
    Constant Field Values

### TOOLBAR_TOCHART

    public static final int TOOLBAR_TOCHART

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_TOCHART`.

  See Also:
    Constant Field Values

### TOOLBAR_TOCROSSTAB

    public static final int TOOLBAR_TOCROSSTAB

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_TOCROSSTAB`.

  See Also:
    Constant Field Values

### TOOLBAR_ROTATECROSSTAB

    public static final int TOOLBAR_ROTATECROSSTAB

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_ROTATECROSSTAB`.

  See Also:
    Constant Field Values

### TOOLBAR_CHARTTYPE

    public static final int TOOLBAR_CHARTTYPE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_CHARTTYPE`.

  See Also:
    Constant Field Values

### TOOLBAR_SPLIT

    public static final int TOOLBAR_SPLIT

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_SPLIT`.

  See Also:
    Constant Field Values

### TOOLBAR_MERGE

    public static final int TOOLBAR_MERGE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_MERGE`.

  See Also:
    Constant Field Values

### TOOLBAR_EDIT_MARK

    public static final int TOOLBAR_EDIT_MARK

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EDIT_MARK`.

  See Also:
    Constant Field Values

### TOOLBAR_RECORD_NUMBER

    public static final int TOOLBAR_RECORD_NUMBER

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_RECORD_NUMBER`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTOHTML

    public static final int TOOLBAR_EXPORTTOHTML

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTOHTML`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTOPDF

    public static final int TOOLBAR_EXPORTTOPDF

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTOPDF`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTOXML

    public static final int TOOLBAR_EXPORTTOXML

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTOXML`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTORTF

    public static final int TOOLBAR_EXPORTTORTF

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTORTF`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTOXLS

    public static final int TOOLBAR_EXPORTTOXLS

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTOXLS`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTOTEXT

    public static final int TOOLBAR_EXPORTTOTEXT

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTOTEXT`.

  See Also:
    Constant Field Values

### TOOLBAR_EXPORTTOPS

    public static final int TOOLBAR_EXPORTTOPS

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_EXPORTTOPS`.

  See Also:
    Constant Field Values

### TOOLBAR_ROTATETABLE

    public static final int TOOLBAR_ROTATETABLE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_ROTATETABLE`.

  See Also:
    Constant Field Values

### TOOLBAR_BC_FILTER

    public static final int TOOLBAR_BC_FILTER

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_BC_FILTER`.

  See Also:
    Constant Field Values

### TOOLBAR_DELETE

    public static final int TOOLBAR_DELETE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_DELETE`.

  See Also:
    Constant Field Values

### TOOLBAR_AUTOREFRESHREPORT_MODE

    public static final int TOOLBAR_AUTOREFRESHREPORT_MODE

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_AUTOREFRESHREPORT_MODE`.

  See Also:
    Constant Field Values

### TOOLBAR_CHANGE_PARMETERS

    public static final int TOOLBAR_CHANGE_PARMETERS

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_CHANGE_PARMETERS`.

  See Also:
    Constant Field Values

### TOOLBAR_CHECKRSC

    public static final int TOOLBAR_CHECKRSC

  The constant in the JRServer DHTML, that identifies the generic toolbar button ID, and starts with TOOLBAR_. `TOOLBAR_CHECKRSC`.

  See Also:
    Constant Field Values

### UNKNOWN_OP

    public static final int UNKNOWN_OP

See Also:
  Constant Field Values

### CHANGE_TOOLBAR_STATUS

    public static final int CHANGE_TOOLBAR_STATUS

See Also:
  Constant Field Values

### CONTEXT_MENU

    public static final int CONTEXT_MENU

See Also:
  Constant Field Values

### SORT

    public static final int SORT

See Also:
  Constant Field Values

### DRILL_TO

    public static final int DRILL_TO

See Also:
  Constant Field Values

### CHANGE_OPTION

    public static final int CHANGE_OPTION

See Also:
  Constant Field Values

### SHOW_USERINFOBAR

    public static final int SHOW_USERINFOBAR

See Also:
  Constant Field Values

### SHOW_TOC

    public static final int SHOW_TOC

See Also:
  Constant Field Values

### SHOW_DSO

    public static final int SHOW_DSO

See Also:
  Constant Field Values

### SHOW_DRILLPATH

    public static final int SHOW_DRILLPATH

See Also:
  Constant Field Values

### GET_DYNAMIC_RESOURCE

    public static final int GET_DYNAMIC_RESOURCE

See Also:
  Constant Field Values

### FIRST_PAGE

    public static final int FIRST_PAGE

See Also:
  Constant Field Values

### PREV_PAGE

    public static final int PREV_PAGE

See Also:
  Constant Field Values

### NEXT_PAGE

    public static final int NEXT_PAGE

See Also:
  Constant Field Values

### LAST_PAGE

    public static final int LAST_PAGE

See Also:
  Constant Field Values

### GOTO_PAGE

    public static final int GOTO_PAGE

See Also:
  Constant Field Values

### FILTER

    public static final int FILTER

See Also:
  Constant Field Values

### OPEN_REPORT_SET

    public static final int OPEN_REPORT_SET

See Also:
  Constant Field Values

### CLOSE_RPTSET

    public static final int CLOSE_RPTSET

See Also:
  Constant Field Values

### EXPAND_GROUP

    public static final int EXPAND_GROUP

See Also:
  Constant Field Values

### PRINT

    public static final int PRINT

See Also:
  Constant Field Values

### LINK

    public static final int LINK

See Also:
  Constant Field Values

### DETAIL

    public static final int DETAIL

See Also:
  Constant Field Values

### MOVE_COMPONENT

    public static final int MOVE_COMPONENT

See Also:
  Constant Field Values

### RESIZE_COMPONENT

    public static final int RESIZE_COMPONENT

See Also:
  Constant Field Values

### SEARCH_NEXT

    public static final int SEARCH_NEXT

See Also:
  Constant Field Values

### MERGE_TABULAR

    public static final int MERGE_TABULAR

See Also:
  Constant Field Values

### RESIZE_TABLE_CELL

    public static final int RESIZE_TABLE_CELL

See Also:
  Constant Field Values

### BUILD_SEARCH

    public static final int BUILD_SEARCH

See Also:
  Constant Field Values

### PIVOT_ON_CROSSTAB

    public static final int PIVOT_ON_CROSSTAB

See Also:
  Constant Field Values

### DRILL_TO_BY_VALUE

    public static final int DRILL_TO_BY_VALUE

See Also:
  Constant Field Values

### INSERT_DIMENSIONS_ON_CROSSTAB

    public static final int INSERT_DIMENSIONS_ON_CROSSTAB

See Also:
  Constant Field Values

### DRILL_TO_DETAIL

    public static final int DRILL_TO_DETAIL

See Also:
  Constant Field Values

### ROTATE_CROSSTAB

    public static final int ROTATE_CROSSTAB

See Also:
  Constant Field Values

### CHANGE_TABLE_COLUMN

    public static final int CHANGE_TABLE_COLUMN

See Also:
  Constant Field Values

### DRILL_DOWN

    public static final int DRILL_DOWN

See Also:
  Constant Field Values

### DRILL_UP

    public static final int DRILL_UP

See Also:
  Constant Field Values

### SPLIT_TABULAR_CELL

    public static final int SPLIT_TABULAR_CELL

See Also:
  Constant Field Values

### REQUEST_UNLOCK_SCREEN

    public static final int REQUEST_UNLOCK_SCREEN

See Also:
  Constant Field Values

### LOCK_SCREEN

    public static final int LOCK_SCREEN

See Also:
  Constant Field Values

### REMOVE_DIMENSION_ON_CROSSTAB

    public static final int REMOVE_DIMENSION_ON_CROSSTAB

See Also:
  Constant Field Values

### ZOOM

    public static final int ZOOM

See Also:
  Constant Field Values

### SAVE_RESULT

    public static final int SAVE_RESULT

See Also:
  Constant Field Values

### CHANGE_PROPERTY

    public static final int CHANGE_PROPERTY

See Also:
  Constant Field Values

### SET_CROSSTAB_EXPAND_STATE

    public static final int SET_CROSSTAB_EXPAND_STATE

See Also:
  Constant Field Values

### SET_ACTIVE_REPORT

    public static final int SET_ACTIVE_REPORT

See Also:
  Constant Field Values

### CLOSE_CURRENT_RPTSHEET

    public static final int CLOSE_CURRENT_RPTSHEET

See Also:
  Constant Field Values

### OPEN_NEW_REPORT

    public static final int OPEN_NEW_REPORT

See Also:
  Constant Field Values

### NAVIGATE_DETAIL

    public static final int NAVIGATE_DETAIL

See Also:
  Constant Field Values

### NAVIGATOR

    public static final int NAVIGATOR

See Also:
  Constant Field Values

### CHANGERPTSHEET

    public static final int CHANGERPTSHEET

See Also:
  Constant Field Values

### CHANGERPTSTYLE

    public static final int CHANGERPTSTYLE

See Also:
  Constant Field Values

### SAVE_AS

    public static final int SAVE_AS

See Also:
  Constant Field Values

### FILTER_TOPN

    public static final int FILTER_TOPN

See Also:
  Constant Field Values

### TOC_ACTION

    public static final int TOC_ACTION

See Also:
  Constant Field Values

### INSERT_CROSSTAB_MEASURE

    public static final int INSERT_CROSSTAB_MEASURE

See Also:
  Constant Field Values

### REMOVE_CROSSTAB_MEASURE

    public static final int REMOVE_CROSSTAB_MEASURE

See Also:
  Constant Field Values

### SET_DLG_STATUS

    public static final int SET_DLG_STATUS

See Also:
  Constant Field Values

### FILTER_MORE

    public static final int FILTER_MORE

See Also:
  Constant Field Values

### DO_JOIN_PATH

    public static final int DO_JOIN_PATH

See Also:
  Constant Field Values

### CANCEL_JOIN_PATH

    public static final int CANCEL_JOIN_PATH

See Also:
  Constant Field Values

### INSERT_GROUP_ON_TABLE

    public static final int INSERT_GROUP_ON_TABLE

See Also:
  Constant Field Values

### REMOVE_GROUP_ON_TABLE

    public static final int REMOVE_GROUP_ON_TABLE

See Also:
  Constant Field Values

### INSERT_GROUP_ON_SECTION

    public static final int INSERT_GROUP_ON_SECTION

See Also:
  Constant Field Values

### REMOVE_GROUP_ON_SECTION

    public static final int REMOVE_GROUP_ON_SECTION

See Also:
  Constant Field Values

### INSERT_DBFIELDS

    public static final int INSERT_DBFIELDS

See Also:
  Constant Field Values

### REMOVE_DBFIELDS

    public static final int REMOVE_DBFIELDS

See Also:
  Constant Field Values

### RESET_REPORT

    public static final int RESET_REPORT

See Also:
  Constant Field Values

### OPEN_RPT_SHEETS

    public static final int OPEN_RPT_SHEETS

See Also:
  Constant Field Values

### SUBMIT_PARAMETERS

    public static final int SUBMIT_PARAMETERS

See Also:
  Constant Field Values

### CANCEL_PARAMETERS

    public static final int CANCEL_PARAMETERS

See Also:
  Constant Field Values

### PIVOT_TABLE_GROUP_HEADER

    public static final int PIVOT_TABLE_GROUP_HEADER

See Also:
  Constant Field Values

### PIVOT_SECTION_GROUP_HEADER

    public static final int PIVOT_SECTION_GROUP_HEADER

See Also:
  Constant Field Values

### SAVE

    public static final int SAVE

See Also:
  Constant Field Values

### REFRESH

    public static final int REFRESH

See Also:
  Constant Field Values

### UNDO

    public static final int UNDO

See Also:
  Constant Field Values

### REDO

    public static final int REDO

See Also:
  Constant Field Values

### STYLE

    public static final int STYLE

See Also:
  Constant Field Values

### CLOSE_RPT_SHEETS

    public static final int CLOSE_RPT_SHEETS

See Also:
  Constant Field Values

### DELETE_RPT_SHEETS

    public static final int DELETE_RPT_SHEETS

See Also:
  Constant Field Values

### RENAME_RPT_SHEETS

    public static final int RENAME_RPT_SHEETS

See Also:
  Constant Field Values

### SAVE_RPT_SHEETS

    public static final int SAVE_RPT_SHEETS

See Also:
  Constant Field Values

### CUSTOMIZE_WEB_ACTION

    public static final int CUSTOMIZE_WEB_ACTION

See Also:
  Constant Field Values

### PDF_SIGN_DIGITALID_FILE_VERIFY

    public static final int PDF_SIGN_DIGITALID_FILE_VERIFY

See Also:
  Constant Field Values

### INSERT_TABLE_COLUMN

    public static final int INSERT_TABLE_COLUMN

See Also:
  Constant Field Values

### REMOVE_TABLE_COLUMN

    public static final int REMOVE_TABLE_COLUMN

See Also:
  Constant Field Values

### FIELD_FILTERABLE

    public static final int FIELD_FILTERABLE

See Also:
  Constant Field Values

### FIELD_SORTRABLE

    public static final int FIELD_SORTRABLE

See Also:
  Constant Field Values

### RESIZE_MAINPAGE_PANEL

    public static final int RESIZE_MAINPAGE_PANEL

See Also:
  Constant Field Values

### RENAME_CURRENT_RPTSHEET

    public static final int RENAME_CURRENT_RPTSHEET

See Also:
  Constant Field Values

### CREATE_NEWREPORT

    public static final int CREATE_NEWREPORT

See Also:
  Constant Field Values

### RERUNENGINE

    public static final int RERUNENGINE

See Also:
  Constant Field Values

### GOTO

    public static final int GOTO

See Also:
  Constant Field Values

### GOUP

    public static final int GOUP

See Also:
  Constant Field Values

### GODOWN

    public static final int GODOWN

See Also:
  Constant Field Values

### GODETAIL

    public static final int GODETAIL

See Also:
  Constant Field Values

### RESETSECTION

    public static final int RESETSECTION

See Also:
  Constant Field Values

### CANCEL_REPORT

    public static final int CANCEL_REPORT

See Also:
  Constant Field Values

### DEEXPIRE_SESSION

    public static final int DEEXPIRE_SESSION

See Also:
  Constant Field Values

### GET_OLEOBJ_RESOURCE

    public static final int GET_OLEOBJ_RESOURCE

See Also:
  Constant Field Values

### REMEMBER_SAVE_FILTER

    public static final int REMEMBER_SAVE_FILTER

See Also:
  Constant Field Values

### LINKDETAIL

    public static final int LINKDETAIL

See Also:
  Constant Field Values

### OPENDLG

    public static final int OPENDLG

See Also:
  Constant Field Values

### ROTATE_TABLE

    public static final int ROTATE_TABLE

See Also:
  Constant Field Values

### TO_CHART

    public static final int TO_CHART

See Also:
  Constant Field Values

### TO_CROSSTAB

    public static final int TO_CROSSTAB

See Also:
  Constant Field Values

### SHOW_TOOLBOX

    public static final int SHOW_TOOLBOX

See Also:
  Constant Field Values

### INSERT_COMPONENT

    public static final int INSERT_COMPONENT

See Also:
  Constant Field Values

### CREATERPT_FROMSERVER

    public static final int CREATERPT_FROMSERVER

See Also:
  Constant Field Values

### CONVERT_QUERY

    public static final int CONVERT_QUERY

See Also:
  Constant Field Values

### CHART_FORMAT

    public static final int CHART_FORMAT

See Also:
  Constant Field Values

### REPLACE_TABLE_COLUMN

    public static final int REPLACE_TABLE_COLUMN

See Also:
  Constant Field Values

### CHARTTYPE_MENU

    public static final int CHARTTYPE_MENU

See Also:
  Constant Field Values

### REMOVE_COMPONENT

    public static final int REMOVE_COMPONENT

See Also:
  Constant Field Values

### SHOW_TOOLBAR

    public static final int SHOW_TOOLBAR

See Also:
  Constant Field Values

### TAGLIB_ACTION

    public static final int TAGLIB_ACTION

See Also:
  Constant Field Values

### PREVIEW

    public static final int PREVIEW

See Also:
  Constant Field Values

### DELETE_CURRENT_RPTSHEET

    public static final int DELETE_CURRENT_RPTSHEET

See Also:
  Constant Field Values

### RESIZE_SECTIONPANEL

    public static final int RESIZE_SECTIONPANEL

See Also:
  Constant Field Values

### ONESTEP_SEARCH

    public static final int ONESTEP_SEARCH

See Also:
  Constant Field Values

### COMCONTROL_MENU

    public static final int COMCONTROL_MENU

See Also:
  Constant Field Values

### NAVIGATE_DRILLPATH

    public static final int NAVIGATE_DRILLPATH

See Also:
  Constant Field Values

### RECORD_NUMBER

    public static final int RECORD_NUMBER

See Also:
  Constant Field Values

### REMEMBER_SHOW_MESSAGE

    public static final int REMEMBER_SHOW_MESSAGE

See Also:
  Constant Field Values

### MOVE_FIELD

    public static final int MOVE_FIELD

See Also:
  Constant Field Values

### OPEN_REPORT

    public static final int OPEN_REPORT

See Also:
  Constant Field Values

### DRILL_BACK_TO

    public static final int DRILL_BACK_TO

See Also:
  Constant Field Values

### HIDEN_TABLE_COLUMN

    public static final int HIDEN_TABLE_COLUMN

See Also:
  Constant Field Values

### UIEVENT

    public static final int UIEVENT

See Also:
  Constant Field Values

### EDIT_BCFILTER

    public static final int EDIT_BCFILTER

See Also:
  Constant Field Values

### SHOW_GRIDS

    public static final int SHOW_GRIDS

See Also:
  Constant Field Values

### SNAP_GRIDS

    public static final int SNAP_GRIDS

See Also:
  Constant Field Values

### CANCEL_CLOSE_REPORT_TASK

    public static final int CANCEL_CLOSE_REPORT_TASK

See Also:
  Constant Field Values

### START_CLOSE_REPORT_TASK

    public static final int START_CLOSE_REPORT_TASK

See Also:
  Constant Field Values

### TO_BACKGROUND

    public static final int TO_BACKGROUND

See Also:
  Constant Field Values

### CHECK_PIPELINE_TASK

    public static final int CHECK_PIPELINE_TASK

See Also:
  Constant Field Values

### SWITCH_SIMPLE_VIEW_MODE

    public static final int SWITCH_SIMPLE_VIEW_MODE

See Also:
  Constant Field Values

### INSERT_FIELD

    public static final int INSERT_FIELD

See Also:
  Constant Field Values

### INSERT_PICTURE

    public static final int INSERT_PICTURE

See Also:
  Constant Field Values

### GET_ACTION_STATUS

    public static final int GET_ACTION_STATUS

See Also:
  Constant Field Values

### CHECK_EXCEPTION

    public static final int CHECK_EXCEPTION

See Also:
  Constant Field Values

### SUBMIT_FIELD_FORMAT_CONDITION

    public static final int SUBMIT_FIELD_FORMAT_CONDITION

See Also:
  Constant Field Values

### CHECK_FLY_FORMULA_EXPRESSION

    public static final int CHECK_FLY_FORMULA_EXPRESSION

See Also:
  Constant Field Values

### ADD_FLY_FORMULA

    public static final int ADD_FLY_FORMULA

See Also:
  Constant Field Values

### MODIFY_FLY_FORMULA

    public static final int MODIFY_FLY_FORMULA

See Also:
  Constant Field Values

### DELETE_FLY_FORMULA

    public static final int DELETE_FLY_FORMULA

See Also:
  Constant Field Values

### CHECK_FLY_RESOURCE_NAME

    public static final int CHECK_FLY_RESOURCE_NAME

See Also:
  Constant Field Values

### ADD_FLY_MEASURE

    public static final int ADD_FLY_MEASURE

See Also:
  Constant Field Values

### MODIFY_FLY_MEASURE

    public static final int MODIFY_FLY_MEASURE

See Also:
  Constant Field Values

### REMOVE_FLY_RESOURCE

    public static final int REMOVE_FLY_RESOURCE

See Also:
  Constant Field Values

### SWITCH_DY_FORMULA

    public static final int SWITCH_DY_FORMULA

See Also:
  Constant Field Values

### CHARTTYPE_COMPRESS_MENU

    public static final int CHARTTYPE_COMPRESS_MENU

See Also:
  Constant Field Values

### PRESAVE_FLY_FORMULA

    public static final int PRESAVE_FLY_FORMULA

See Also:
  Constant Field Values

### PRESAVE_FLY_MEASURE

    public static final int PRESAVE_FLY_MEASURE

See Also:
  Constant Field Values

### REFRESH_REPORT_DATA

    public static final int REFRESH_REPORT_DATA

See Also:
  Constant Field Values

### CHANGE_AUTO_REFRESH_REPORT_DATA_MODE

    public static final int CHANGE_AUTO_REFRESH_REPORT_DATA_MODE

See Also:
  Constant Field Values

### MODIFY_TABLE_GROUP

    public static final int MODIFY_TABLE_GROUP

See Also:
  Constant Field Values

### DO_CONFIRM

    public static final int DO_CONFIRM

See Also:
  Constant Field Values

### CONVERT_TABLE_COLUMN

    public static final int CONVERT_TABLE_COLUMN

See Also:
  Constant Field Values

### TABLE_AGGREGATE_ON_DC

    public static final int TABLE_AGGREGATE_ON_DC

See Also:
  Constant Field Values

### TABLE_ROW_VERTICAL_TO_DETAIL

    public static final int TABLE_ROW_VERTICAL_TO_DETAIL

See Also:
  Constant Field Values

### TABLE_COLUMN_HORIZONTAL_TO_DETAIL

    public static final int TABLE_COLUMN_HORIZONTAL_TO_DETAIL

See Also:
  Constant Field Values

### CHECK_ALIVE

    public static final int CHECK_ALIVE

See Also:
  Constant Field Values

### SAVE_WEBCONTROL_RUNTIME_VALUES

    public static final int SAVE_WEBCONTROL_RUNTIME_VALUES

See Also:
  Constant Field Values

### REMOVE_DRILL_FILTER

    public static final int REMOVE_DRILL_FILTER

See Also:
  Constant Field Values

### GET_DRILL_FILTER

    public static final int GET_DRILL_FILTER

See Also:
  Constant Field Values

### GET_USED_PARAMS

    public static final int GET_USED_PARAMS

See Also:
  Constant Field Values

### GET_PARAM_INFORMATION

    public static final int GET_PARAM_INFORMATION

See Also:
  Constant Field Values

### GET_REPORT_LIST

    public static final int GET_REPORT_LIST

See Also:
  Constant Field Values

### GET_DATACONTAINERS_ON_QUERY

    public static final int GET_DATACONTAINERS_ON_QUERY

See Also:
  Constant Field Values

### DO_NAVIGATOR

    public static final int DO_NAVIGATOR

See Also:
  Constant Field Values

### GET_FILTER_CONTROL_MORE_VALUE_LIST

    public static final int GET_FILTER_CONTROL_MORE_VALUE_LIST

See Also:
  Constant Field Values

### ON_SCREEN_FILTER

    public static final int ON_SCREEN_FILTER

See Also:
  Constant Field Values

### CLEAR_FILTER_CTRL

    public static final int CLEAR_FILTER_CTRL

See Also:
  Constant Field Values

### CHANGE_FILTER_CONTROL_COLUMN

    public static final int CHANGE_FILTER_CONTROL_COLUMN

See Also:
  Constant Field Values

### CASCADING_PARAM_CHANGED

    public static final int CASCADING_PARAM_CHANGED

See Also:
  Constant Field Values

### CUSTOM_ACTION

    public static final int CUSTOM_ACTION

See Also:
  Constant Field Values

### GET_DATACONTAINERS

    public static final int GET_DATACONTAINERS

See Also:
  Constant Field Values

### GET_FILTER_CONTROL_DEF

    public static final int GET_FILTER_CONTROL_DEF

See Also:
  Constant Field Values

### GET_GOOGLE_MAP_DATA

    public static final int GET_GOOGLE_MAP_DATA

See Also:
  Constant Field Values

### CLOSE_EMPTY_DETAIL

    public static final int CLOSE_EMPTY_DETAIL

See Also:
  Constant Field Values

### SHOW_HIDE_COMPONENT

    public static final int SHOW_HIDE_COMPONENT

See Also:
  Constant Field Values

### WEBPAGE_REFRESH

    public static final int WEBPAGE_REFRESH

See Also:
  Constant Field Values

### CHANGE_NLS

    public static final int CHANGE_NLS

See Also:
  Constant Field Values

### GET_NLS_LSIT

    public static final int GET_NLS_LSIT

See Also:
  Constant Field Values

### CONLINK

    public static final int CONLINK

See Also:
  Constant Field Values

### LINK_CONTENT

    public static final int LINK_CONTENT

See Also:
  Constant Field Values

### GETPAGE

    public static final int GETPAGE

See Also:
  Constant Field Values

### SWITCH_AGG_FUNCTION

    public static final int SWITCH_AGG_FUNCTION

See Also:
  Constant Field Values

### GET_EXPORT_PARAMS

    public static final int GET_EXPORT_PARAMS

See Also:
  Constant Field Values

### CASCADING_EXPORT_PARAMS

    public static final int CASCADING_EXPORT_PARAMS

See Also:
  Constant Field Values

### INTERACTIVE_EXPORT_PARAMS

    public static final int INTERACTIVE_EXPORT_PARAMS

See Also:
  Constant Field Values

### GETMAINUI

    public static final int GETMAINUI

See Also:
  Constant Field Values

### MAX_OP

    public static final int MAX_OP

See Also:
  Constant Field Values

### OPS_ADHOC

    public static final int[] OPS_ADHOC

### OP_ADHOC_PROBABLY

    public static final int[] OP_ADHOC_PROBABLY

### OP_ADHOC_MUST

    public static final int[] OP_ADHOC_MUST

### TAGLIB_OPERATE

    public static final java.lang.String TAGLIB_OPERATE

See Also:
  Constant Field Values

### TAGLIB_ACTION_SORT

    public static final int TAGLIB_ACTION_SORT

See Also:
  Constant Field Values

### TAGLIB_ACTION_FILTER

    public static final int TAGLIB_ACTION_FILTER

See Also:
  Constant Field Values

### OP_CAN_MODIFIED_REPORT

    public static final int[] OP_CAN_MODIFIED_REPORT

### HTMEXP

    public static final java.lang.String HTMEXP

See Also:
  Constant Field Values

### CSSEXP

    public static final java.lang.String CSSEXP

See Also:
  Constant Field Values

### GIFEXP

    public static final java.lang.String GIFEXP

See Also:
  Constant Field Values

### JPGEXP

    public static final java.lang.String JPGEXP

See Also:
  Constant Field Values

### TPLXP

    public static final java.lang.String TPLXP

See Also:
  Constant Field Values

### PNGEXP

    public static final java.lang.String PNGEXP

See Also:
  Constant Field Values

### GROUPBY

    public static final java.lang.String GROUPBY

See Also:
  Constant Field Values

### GROUPVALUE

    public static final java.lang.String GROUPVALUE

See Also:
  Constant Field Values

### COMPID

    public static final java.lang.String COMPID

See Also:
  Constant Field Values

### STACKIDX

    public static final java.lang.String STACKIDX

See Also:
  Constant Field Values

### BARIDX

    public static final java.lang.String BARIDX

See Also:
  Constant Field Values

### SHEETIDX

    public static final java.lang.String SHEETIDX

See Also:
  Constant Field Values

### COLORPOS

    public static final java.lang.String COLORPOS

See Also:
  Constant Field Values

### DETAILRPT

    public static final java.lang.String DETAILRPT

See Also:
  Constant Field Values

### RECINDX

    public static final java.lang.String RECINDX

See Also:
  Constant Field Values

### ENCODE

    public static final java.lang.String ENCODE

See Also:
  Constant Field Values

### PAGENUM

    public static final java.lang.String PAGENUM

See Also:
  Constant Field Values

### ANCHOR

    public static final java.lang.String ANCHOR

See Also:
  Constant Field Values

### CURRENT_BROWSER_TIME

    public static final java.lang.String CURRENT_BROWSER_TIME

See Also:
  Constant Field Values

### BROWSER_LOCALE

    public static final java.lang.String BROWSER_LOCALE

See Also:
  Constant Field Values

### USER_AGENT

    public static final java.lang.String USER_AGENT

See Also:
  Constant Field Values

### BROWSER_IE

    public static final int BROWSER_IE

  The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_. `BROWSER_IE`.

  See Also:
    Constant Field Values

### BROWSER_NETSCAPE

    public static final int BROWSER_NETSCAPE

  The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_. `BROWSER_NETSCAPE`.

  See Also:
    Constant Field Values

### BROWSER_MOZILLA

    public static final int BROWSER_MOZILLA

  The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_. `BROWSER_MOZILLA`.

  See Also:
    Constant Field Values

### BROWSER_FIREFOX

    public static final int BROWSER_FIREFOX

  The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_. `BROWSER_FIREFOX`.

  See Also:
    Constant Field Values

### BROWSER_OPERA

    public static final int BROWSER_OPERA

  The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_. `BROWSER_OPERA`.

  See Also:
    Constant Field Values

### BROWSER_CHROME

    public static final int BROWSER_CHROME

  The constant in the JRServer DHTML, that identifies the generic browser type, and starts with BROWSER_. `BROWSER_CHROME`.

  See Also:
    Constant Field Values

### FILTERALL

    public static final int FILTERALL

  The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER. `FILTERALL`.

  See Also:
    Constant Field Values

### FILTERTOPN

    public static final int FILTERTOPN

  The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER. `FILTERTOPN`.

  See Also:
    Constant Field Values

### FILTERBOMN

    public static final int FILTERBOMN

  The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER. `FILTERBOMN`.

  See Also:
    Constant Field Values

### FILTERMORE

    public static final int FILTERMORE

  The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER. `FILTERMORE`.

  See Also:
    Constant Field Values

### FILTERCONTEXTMAXVALUE

    public static final int FILTERCONTEXTMAXVALUE

  The constant in the JRServer DHTML, that identifies the generic filter menu, and starts with FILTER. `FILTERCONTEXTMAXVALUE`.

  See Also:
    Constant Field Values

### FILTERENABLE

    public static final int FILTERENABLE

See Also:
  Constant Field Values

### SORTENABLE

    public static final int SORTENABLE

See Also:
  Constant Field Values

### DRILLENABLE

    public static final int DRILLENABLE

See Also:
  Constant Field Values

### DRILLTOENABLE

    public static final int DRILLTOENABLE

See Also:
  Constant Field Values

### DRILLTOBYVALUEENABLE

    public static final int DRILLTOBYVALUEENABLE

See Also:
  Constant Field Values

### DRILLDOWNENABLE

    public static final int DRILLDOWNENABLE

See Also:
  Constant Field Values

### DRILLTODETAILENABLE

    public static final int DRILLTODETAILENABLE

See Also:
  Constant Field Values

### GOTOENABLE

    public static final int GOTOENABLE

See Also:
  Constant Field Values

### GOTOBYVALUEENABLE

    public static final int GOTOBYVALUEENABLE

See Also:
  Constant Field Values

### GODOWNENABLE

    public static final int GODOWNENABLE

See Also:
  Constant Field Values

### GOUPENABLE

    public static final int GOUPENABLE

See Also:
  Constant Field Values

### GOTODETAILENABLE

    public static final int GOTODETAILENABLE

See Also:
  Constant Field Values

### TURNTOENABLE

    public static final int TURNTOENABLE

See Also:
  Constant Field Values

### PROPERTYENABLE

    public static final int PROPERTYENABLE

See Also:
  Constant Field Values

### LINKREPORTENABLE

    public static final int LINKREPORTENABLE

See Also:
  Constant Field Values

### DETAILREPORTENABLE

    public static final int DETAILREPORTENABLE

See Also:
  Constant Field Values

### TOPNENABLE

    public static final int TOPNENABLE

See Also:
  Constant Field Values

### REMOVEFILTERENABLE

    public static final int REMOVEFILTERENABLE

See Also:
  Constant Field Values

### SEARCHENABLE

    public static final int SEARCHENABLE

See Also:
  Constant Field Values

### CHARTTYPEENABLE

    public static final int CHARTTYPEENABLE

See Also:
  Constant Field Values

### DIMENSION_NAME

    public static final java.lang.String DIMENSION_NAME

See Also:
  Constant Field Values

### MEASURE_NAME

    public static final java.lang.String MEASURE_NAME

See Also:
  Constant Field Values

### DYNAMIC_SRC_NAME

    public static final java.lang.String DYNAMIC_SRC_NAME

See Also:
  Constant Field Values

### PDF

    public static final java.lang.String PDF

See Also:
  Constant Field Values

### HTML

    public static final java.lang.String HTML

See Also:
  Constant Field Values

### OPEN_FILENAME

    public static final java.lang.String OPEN_FILENAME

See Also:
  Constant Field Values

### DOWNLOAD_FILENAME

    public static final java.lang.String DOWNLOAD_FILENAME

See Also:
  Constant Field Values

### OPTION_FORMAT

    public static final java.lang.String OPTION_FORMAT

See Also:
  Constant Field Values

### IS_SAVE_TO_VERSION

    public static final java.lang.String IS_SAVE_TO_VERSION

See Also:
  Constant Field Values

### IS_SAVE_TO_FILE

    public static final java.lang.String IS_SAVE_TO_FILE

See Also:
  Constant Field Values

### IS_SAVE_IN_LOCAL

    public static final java.lang.String IS_SAVE_IN_LOCAL

See Also:
  Constant Field Values

### SAVE_RESULT_TYPE

    public static final java.lang.String SAVE_RESULT_TYPE

See Also:
  Constant Field Values

### OPEN_TYPE

    public static final java.lang.String OPEN_TYPE

See Also:
  Constant Field Values

### SAVE_TYPE

    public static final java.lang.String SAVE_TYPE

See Also:
  Constant Field Values

### OPEN_MULTIPLE_FILE_PATH

    public static final java.lang.String OPEN_MULTIPLE_FILE_PATH

See Also:
  Constant Field Values

### IS_USE_SCRIPT_API

    public static final java.lang.String IS_USE_SCRIPT_API

See Also:
  Constant Field Values

### DHTML_PREFIX

    public static final java.lang.String DHTML_PREFIX

See Also:
  Constant Field Values

### OLE_FILENAME

    public static final java.lang.String OLE_FILENAME

See Also:
  Constant Field Values

### IN

    public static final java.lang.String IN

See Also:
  Constant Field Values

### NOT_IN

    public static final java.lang.String NOT_IN

See Also:
  Constant Field Values

### LIKE

    public static final java.lang.String LIKE

See Also:
  Constant Field Values

### NOT_LIKE

    public static final java.lang.String NOT_LIKE

See Also:
  Constant Field Values

### BETWEEN

    public static final java.lang.String BETWEEN

See Also:
  Constant Field Values

### NOT_BETWEEN

    public static final java.lang.String NOT_BETWEEN

See Also:
  Constant Field Values

### IS_NULL

    public static final java.lang.String IS_NULL

See Also:
  Constant Field Values

### IS_NOT_NULL

    public static final java.lang.String IS_NOT_NULL

See Also:
  Constant Field Values

### EQUALS

    public static final java.lang.String EQUALS

See Also:
  Constant Field Values

### MORE_THAN

    public static final java.lang.String MORE_THAN

See Also:
  Constant Field Values

### MORE_THAN_EQUALS

    public static final java.lang.String MORE_THAN_EQUALS

See Also:
  Constant Field Values

### LESS_THAN

    public static final java.lang.String LESS_THAN

See Also:
  Constant Field Values

### LESS_THAN_EQUALS

    public static final java.lang.String LESS_THAN_EQUALS

See Also:
  Constant Field Values

### NOT_EQUALS

    public static final java.lang.String NOT_EQUALS

See Also:
  Constant Field Values

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

### END

    public static final java.lang.String END

See Also:
  Constant Field Values

### ASCENDING

    public static final java.lang.String ASCENDING

See Also:
  Constant Field Values

### DESCENDING

    public static final java.lang.String DESCENDING

See Also:
  Constant Field Values

### TYPE_NUMBER

    public static final java.lang.String TYPE_NUMBER

See Also:
  Constant Field Values

### TYPE_DATE

    public static final java.lang.String TYPE_DATE

See Also:
  Constant Field Values

### TYPE_TIME

    public static final java.lang.String TYPE_TIME

See Also:
  Constant Field Values

### TYPE_DATETIME

    public static final java.lang.String TYPE_DATETIME

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    public static final java.lang.String TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_STRING

    public static final java.lang.String TYPE_STRING

See Also:
  Constant Field Values

### URI_ORDER

    public static final java.lang.String URI_ORDER

See Also:
  Constant Field Values

### URI_ISDATASET

    public static final java.lang.String URI_ISDATASET

See Also:
  Constant Field Values

### URI_COLUMN

    public static final java.lang.String URI_COLUMN

See Also:
  Constant Field Values

### URI_COMPONENT

    public static final java.lang.String URI_COMPONENT

See Also:
  Constant Field Values

### URI_OPERATE

    public static final java.lang.String URI_OPERATE

See Also:
  Constant Field Values

### URI_VALUE

    public static final java.lang.String URI_VALUE

See Also:
  Constant Field Values

### URI_IS_INPUT

    public static final java.lang.String URI_IS_INPUT

See Also:
  Constant Field Values

### URI_LOGIC

    public static final java.lang.String URI_LOGIC

See Also:
  Constant Field Values

### LOGIC_WITHEXIST_REPLACE

    public static final int LOGIC_WITHEXIST_REPLACE

See Also:
  Constant Field Values

### LOGIC_WITHEXIST_AND

    public static final int LOGIC_WITHEXIST_AND

See Also:
  Constant Field Values

### LOGIC_WITHEXIST_OR

    public static final int LOGIC_WITHEXIST_OR

See Also:
  Constant Field Values

### URI_LOGIC_WITHEXIST

    public static final java.lang.String URI_LOGIC_WITHEXIST

See Also:
  Constant Field Values

### ISVALUELIST

    public static final java.lang.String ISVALUELIST

See Also:
  Constant Field Values

### URI_FILTERCLEAR

    public static final java.lang.String URI_FILTERCLEAR

See Also:
  Constant Field Values

### FILTER_MAIN_REPORT_KEY

    public static final java.lang.String FILTER_MAIN_REPORT_KEY

See Also:
  Constant Field Values

### URI_SUBREPORTKEY

    public static final java.lang.String URI_SUBREPORTKEY

See Also:
  Constant Field Values

### URI_SORT_TYPE

    public static final java.lang.String URI_SORT_TYPE

See Also:
  Constant Field Values

### URI_TOPN_VALUE

    public static final java.lang.String URI_TOPN_VALUE

See Also:
  Constant Field Values

### URI_START_POSITION

    public static final java.lang.String URI_START_POSITION

See Also:
  Constant Field Values

### URI_IS_TOPN

    public static final java.lang.String URI_IS_TOPN

See Also:
  Constant Field Values

### CROSSTAB_EXPAND_PROPERTY

    public static final java.lang.String CROSSTAB_EXPAND_PROPERTY

See Also:
  Constant Field Values

### CROSSTAB_EXPANDED

    public static final java.lang.String CROSSTAB_EXPANDED

See Also:
  Constant Field Values

### CROSSTAB_COLLAPSE

    public static final java.lang.String CROSSTAB_COLLAPSE

See Also:
  Constant Field Values

### COLUMN_INDEX

    public static final java.lang.String COLUMN_INDEX

See Also:
  Constant Field Values

### COLUMN_NAME

    public static final java.lang.String COLUMN_NAME

See Also:
  Constant Field Values

### VALUE_RANGE_INDEX

    public static final java.lang.String VALUE_RANGE_INDEX

See Also:
  Constant Field Values

### VALUE_RANGE_NAME

    public static final java.lang.String VALUE_RANGE_NAME

See Also:
  Constant Field Values

### VALUE_INDEX

    public static final java.lang.String VALUE_INDEX

See Also:
  Constant Field Values

### VALUE_NAME

    public static final java.lang.String VALUE_NAME

See Also:
  Constant Field Values

### ISALL

    public static final java.lang.String ISALL

See Also:
  Constant Field Values

### ISRANGEALL

    public static final java.lang.String ISRANGEALL

See Also:
  Constant Field Values

### ISCONTENT

    public static final java.lang.String ISCONTENT

See Also:
  Constant Field Values

### ISMATCH_CASE

    public static final java.lang.String ISMATCH_CASE

See Also:
  Constant Field Values

### ISWHOLE_WORD

    public static final java.lang.String ISWHOLE_WORD

See Also:
  Constant Field Values

### ISUP

    public static final java.lang.String ISUP

See Also:
  Constant Field Values

### CONTENT

    public static final java.lang.String CONTENT

See Also:
  Constant Field Values

### REFRESH_SARCH_ALL

    public static final java.lang.String REFRESH_SARCH_ALL

See Also:
  Constant Field Values

### REFRESH_ARRAY

    public static final java.lang.String REFRESH_ARRAY

See Also:
  Constant Field Values

### TARGET_ID

    public static final java.lang.String TARGET_ID

See Also:
  Constant Field Values

### SORT_ASCENDING

    public static final int SORT_ASCENDING

See Also:
  Constant Field Values

### SORT_DESCENDING

    public static final int SORT_DESCENDING

See Also:
  Constant Field Values

### SORT_NOTSORTED

    public static final int SORT_NOTSORTED

See Also:
  Constant Field Values

### COM_TYPE_CROSSTABLE

    public static final java.lang.String COM_TYPE_CROSSTABLE

See Also:
  Constant Field Values

### COM_TYPE_TABLE

    public static final java.lang.String COM_TYPE_TABLE

See Also:
  Constant Field Values

### COM_TYPE_TABULAR

    public static final java.lang.String COM_TYPE_TABULAR

See Also:
  Constant Field Values

### COM_TYPE_CHART

    public static final java.lang.String COM_TYPE_CHART

See Also:
  Constant Field Values

### COM_TYPE_SECTION

    public static final java.lang.String COM_TYPE_SECTION

See Also:
  Constant Field Values

### NEWWINDOW

    public static final java.lang.String NEWWINDOW

See Also:
  Constant Field Values

### WINDOWNAME

    public static final java.lang.String WINDOWNAME

See Also:
  Constant Field Values

### X_VALUE

    public static final java.lang.String X_VALUE

See Also:
  Constant Field Values

### Z_VALUE

    public static final java.lang.String Z_VALUE

See Also:
  Constant Field Values

### ALERT_MESSAGE_ID

    public static final java.lang.String ALERT_MESSAGE_ID

See Also:
  Constant Field Values

### ALERT_ITEM

    public static final java.lang.String ALERT_ITEM

See Also:
  Constant Field Values

### ALERT_SEARCH_FAIL

    public static final java.lang.String ALERT_SEARCH_FAIL

See Also:
  Constant Field Values

### ALERT_SEARCH_FINISHED

    public static final java.lang.String ALERT_SEARCH_FINISHED

See Also:
  Constant Field Values

### ALERT_SEARCH_INVALID

    public static final java.lang.String ALERT_SEARCH_INVALID

See Also:
  Constant Field Values

### ALERT_REPORTSET_TIMEOUT

    public static final java.lang.String ALERT_REPORTSET_TIMEOUT

See Also:
  Constant Field Values

### ALERT_REPORT_TIMEOUT

    public static final java.lang.String ALERT_REPORT_TIMEOUT

See Also:
  Constant Field Values

### ALERT_PARAMETER

    public static final java.lang.String ALERT_PARAMETER

See Also:
  Constant Field Values

### ALERT_JOIN_PATH

    public static final java.lang.String ALERT_JOIN_PATH

See Also:
  Constant Field Values

### ALERT_INSERT_DBFIELD_INVALID

    public static final java.lang.String ALERT_INSERT_DBFIELD_INVALID

See Also:
  Constant Field Values

### ALERT_INVALID_DBFIELD_NAME

    public static final java.lang.String ALERT_INVALID_DBFIELD_NAME

See Also:
  Constant Field Values

### CONFIRM_RERUNENGINE

    public static final java.lang.String CONFIRM_RERUNENGINE

See Also:
  Constant Field Values

### ALERT_SAVE_SORT_FILTER_FINISHED

    public static final java.lang.String ALERT_SAVE_SORT_FILTER_FINISHED

See Also:
  Constant Field Values

### ALERT_WRONG_CATALOG

    public static final java.lang.String ALERT_WRONG_CATALOG

See Also:
  Constant Field Values

### ALERT_CANNOT_DELETE

    public static final java.lang.String ALERT_CANNOT_DELETE

See Also:
  Constant Field Values

### ALERT_CANNOT_CONVERT_QUERY

    public static final java.lang.String ALERT_CANNOT_CONVERT_QUERY

See Also:
  Constant Field Values

### ALERT_CHANGE_PROPERTY_FAIL

    public static final java.lang.String ALERT_CHANGE_PROPERTY_FAIL

See Also:
  Constant Field Values

### ALERT_NEW_REPORT_ERROR

    public static final java.lang.String ALERT_NEW_REPORT_ERROR

See Also:
  Constant Field Values

### ALERT_SAME_REPORT_NAME_ERROR

    public static final java.lang.String ALERT_SAME_REPORT_NAME_ERROR

See Also:
  Constant Field Values

### SAME_REPORT_NAME

    public static final java.lang.String SAME_REPORT_NAME

See Also:
  Constant Field Values

### ALERT_OPEN_REPORT_ERROR

    public static final java.lang.String ALERT_OPEN_REPORT_ERROR

See Also:
  Constant Field Values

### ALERT_SAVE_REAL_PATH_FOLDER_ERROR

    public static final java.lang.String ALERT_SAVE_REAL_PATH_FOLDER_ERROR

See Also:
  Constant Field Values

### FEATURE_USERINFOBAR

    public static final java.lang.String FEATURE_USERINFOBAR

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_USERINFOBAR`.

  See Also:
    Constant Field Values

### FEATURE_DRILL

    public static final java.lang.String FEATURE_DRILL

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_DRILL`.

  See Also:
    Constant Field Values

### FEATURE_DSOTREE

    public static final java.lang.String FEATURE_DSOTREE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_DSOTREE`.

  See Also:
    Constant Field Values

### FEATURE_EDITREPORT

    public static final java.lang.String FEATURE_EDITREPORT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_EDITREPORT`.

  See Also:
    Constant Field Values

### FEATURE_EXPORTTO

    public static final java.lang.String FEATURE_EXPORTTO

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_EXPORTTO`.

  See Also:
    Constant Field Values

### FEATURE_FILTER

    public static final java.lang.String FEATURE_FILTER

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_FILTER`.

  See Also:
    Constant Field Values

### FEATURE_BC_FILTER

    public static final java.lang.String FEATURE_BC_FILTER

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_BC_FILTER`.

  See Also:
    Constant Field Values

### FEATURE_MENU

    public static final java.lang.String FEATURE_MENU

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_MENU`.

  See Also:
    Constant Field Values

### FEATURE_NAVIGATION

    public static final java.lang.String FEATURE_NAVIGATION

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_NAVIGATION`.

  See Also:
    Constant Field Values

### FEATURE_NEW

    public static final java.lang.String FEATURE_NEW

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_NEW`.

  See Also:
    Constant Field Values

### FEATURE_POPUPMENU

    public static final java.lang.String FEATURE_POPUPMENU

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_POPUPMENU`.

  See Also:
    Constant Field Values

### FEATURE_PRINT

    public static final java.lang.String FEATURE_PRINT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_PRINT`.

  See Also:
    Constant Field Values

### FEATURE_REFRESH

    public static final java.lang.String FEATURE_REFRESH

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_REFRESH`.

  See Also:
    Constant Field Values

### FEATURE_RESET

    public static final java.lang.String FEATURE_RESET

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_RESET`.

  See Also:
    Constant Field Values

### FEATURE_RPTSETBAR

    public static final java.lang.String FEATURE_RPTSETBAR

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_RPTSETBAR`.

  See Also:
    Constant Field Values

### FEATURE_SAVE

    public static final java.lang.String FEATURE_SAVE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SAVE`.

  See Also:
    Constant Field Values

### FEATURE_SAVERESULT

    public static final java.lang.String FEATURE_SAVERESULT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SAVERESULT`.

  See Also:
    Constant Field Values

### FEATURE_SEARCH

    public static final java.lang.String FEATURE_SEARCH

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SEARCH`.

  See Also:
    Constant Field Values

### FEATURE_SKIN

    public static final java.lang.String FEATURE_SKIN

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SKIN`.

  See Also:
    Constant Field Values

### FEATURE_SORT

    public static final java.lang.String FEATURE_SORT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SORT`.

  See Also:
    Constant Field Values

### FEATURE_STYLE

    public static final java.lang.String FEATURE_STYLE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_STYLE`.

  See Also:
    Constant Field Values

### FEATURE_FILTERCONTROL

    public static final java.lang.String FEATURE_FILTERCONTROL

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_FILTERCONTROL`.

  See Also:
    Constant Field Values

### FEATURE_TOCTREE

    public static final java.lang.String FEATURE_TOCTREE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_TOCTREE`.

  See Also:
    Constant Field Values

### FEATURE_TOOLBOX

    public static final java.lang.String FEATURE_TOOLBOX

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_TOOLBOX`.

  See Also:
    Constant Field Values

### FEATURE_TOOLBAR

    public static final java.lang.String FEATURE_TOOLBAR

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_TOOLBAR`.

  See Also:
    Constant Field Values

### FEATURE_UNDOREDO

    public static final java.lang.String FEATURE_UNDOREDO

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_UNDOREDO`.

  See Also:
    Constant Field Values

### FEATURE_ZOOM

    public static final java.lang.String FEATURE_ZOOM

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_ZOOM`.

  See Also:
    Constant Field Values

### FEATURE_RECORD_NUMBER

    public static final java.lang.String FEATURE_RECORD_NUMBER

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_RECORD_NUMBER`.

  See Also:
    Constant Field Values

### FEATURE_PREVIEW

    public static final java.lang.String FEATURE_PREVIEW

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_PREVIEW`.

  See Also:
    Constant Field Values

### FEATURE_SHOW_MASTER_REPORT

    public static final java.lang.String FEATURE_SHOW_MASTER_REPORT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SHOW_MASTER_REPORT`.

  See Also:
    Constant Field Values

### FEATURE_PAGESETUP

    public static final java.lang.String FEATURE_PAGESETUP

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_PAGESETUP`.

  See Also:
    Constant Field Values

### FEATURE_GROUP

    public static final java.lang.String FEATURE_GROUP

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_GROUP`.

  See Also:
    Constant Field Values

### FEATURE_TOCHART

    public static final java.lang.String FEATURE_TOCHART

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_TOCHART`.

  See Also:
    Constant Field Values

### FEATURE_TOCROSSTAB

    public static final java.lang.String FEATURE_TOCROSSTAB

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_TOCROSSTAB`.

  See Also:
    Constant Field Values

### FEATURE_ROTATECROSSTAB

    public static final java.lang.String FEATURE_ROTATECROSSTAB

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_ROTATECROSSTAB`.

  See Also:
    Constant Field Values

### FEATURE_CHARTTYPE

    public static final java.lang.String FEATURE_CHARTTYPE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CHARTTYPE`.

  See Also:
    Constant Field Values

### FEATURE_SPLIT

    public static final java.lang.String FEATURE_SPLIT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SPLIT`.

  See Also:
    Constant Field Values

### FEATURE_MERGE

    public static final java.lang.String FEATURE_MERGE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_MERGE`.

  See Also:
    Constant Field Values

### FEATURE_HELP

    public static final java.lang.String FEATURE_HELP

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_HELP`.

  See Also:
    Constant Field Values

### FEATURE_OPEN

    public static final java.lang.String FEATURE_OPEN

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_OPEN`.

  See Also:
    Constant Field Values

### FEATURE_SAVEAS

    public static final java.lang.String FEATURE_SAVEAS

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SAVEAS`.

  See Also:
    Constant Field Values

### FEATURE_CHECKRSC

    public static final java.lang.String FEATURE_CHECKRSC

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CHECKRSC`.

  See Also:
    Constant Field Values

### FEATURE_GOTO

    public static final java.lang.String FEATURE_GOTO

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_GOTO`.

  See Also:
    Constant Field Values

### FEATURE_POPUP_CRITERA

    public static final java.lang.String FEATURE_POPUP_CRITERA

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_POPUP_CRITERA`.

  See Also:
    Constant Field Values

### FEATURE_SORT_CRITERA

    public static final java.lang.String FEATURE_SORT_CRITERA

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SORT_CRITERA`.

  See Also:
    Constant Field Values

### FEATURE_FILTER_CRITERA

    public static final java.lang.String FEATURE_FILTER_CRITERA

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_FILTER_CRITERA`.

  See Also:
    Constant Field Values

### FEATURE_SAVE_SUBREPORTS

    public static final java.lang.String FEATURE_SAVE_SUBREPORTS

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SAVE_SUBREPORTS`.

  See Also:
    Constant Field Values

### FEATURE_SHOW_MESSAGE

    public static final java.lang.String FEATURE_SHOW_MESSAGE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SHOW_MESSAGE`.

  See Also:
    Constant Field Values

### FEATURE_TOC_SHOWGROUPBYNAME

    public static final java.lang.String FEATURE_TOC_SHOWGROUPBYNAME

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_TOC_SHOWGROUPBYNAME`.

  See Also:
    Constant Field Values

### FEATURE_GRID

    public static final java.lang.String FEATURE_GRID

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_GRID`.

  See Also:
    Constant Field Values

### FEATURE_PIVOT

    public static final java.lang.String FEATURE_PIVOT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_PIVOT`.

  See Also:
    Constant Field Values

### FEATURE_INSERT_OR_REMOVE

    public static final java.lang.String FEATURE_INSERT_OR_REMOVE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_INSERT_OR_REMOVE`.

  See Also:
    Constant Field Values

### FEATURE_CREATE_REPORTSET

    public static final java.lang.String FEATURE_CREATE_REPORTSET

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CREATE_REPORTSET`.

  See Also:
    Constant Field Values

### FEATURE_CREATE_REPORT

    public static final java.lang.String FEATURE_CREATE_REPORT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CREATE_REPORT`.

  See Also:
    Constant Field Values

### FEATURE_RESIZE

    public static final java.lang.String FEATURE_RESIZE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_RESIZE`.

  See Also:
    Constant Field Values

### FEATURE_MOVE

    public static final java.lang.String FEATURE_MOVE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_MOVE`.

  See Also:
    Constant Field Values

### FEATURE_CREATEREPORT_PROMPT

    public static final java.lang.String FEATURE_CREATEREPORT_PROMPT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CREATEREPORT_PROMPT`.

  See Also:
    Constant Field Values

### FEATURE_CUSTOMIZE_INDENT

    public static final java.lang.String FEATURE_CUSTOMIZE_INDENT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CUSTOMIZE_INDENT`.

  See Also:
    Constant Field Values

### FEATURE_CUSTOMIZE_INDENT_SIZE

    public static final java.lang.String FEATURE_CUSTOMIZE_INDENT_SIZE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CUSTOMIZE_INDENT_SIZE`.

  See Also:
    Constant Field Values

### FEATURE_ALIGN_SUMMARIES

    public static final java.lang.String FEATURE_ALIGN_SUMMARIES

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_ALIGN_SUMMARIES`.

  See Also:
    Constant Field Values

### FEATURE_CONVERTQUERY_PROMPT

    public static final java.lang.String FEATURE_CONVERTQUERY_PROMPT

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CONVERTQUERY_PROMPT`.

  See Also:
    Constant Field Values

### FEATURE_SWITCH_REPORTS_WITH_TAB

    public static final java.lang.String FEATURE_SWITCH_REPORTS_WITH_TAB

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SWITCH_REPORTS_WITH_TAB`.

  See Also:
    Constant Field Values

### FEATURE_SHOW_TOOL_TIPS

    public static final java.lang.String FEATURE_SHOW_TOOL_TIPS

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_SHOW_TOOL_TIPS`.

  See Also:
    Constant Field Values

### FEATURE_VERTICAL_GROUP_HEADER

    public static final java.lang.String FEATURE_VERTICAL_GROUP_HEADER

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_VERTICAL_GROUP_HEADER`.

  See Also:
    Constant Field Values

### FEATURE_MOUSE_WHEEL_TURN_TO_PAGE

    public static final java.lang.String FEATURE_MOUSE_WHEEL_TURN_TO_PAGE

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_MOUSE_WHEEL_TURN_TO_PAGE`.

  See Also:
    Constant Field Values

### FEATURE_CHANGE_PARAMETERS

    public static final java.lang.String FEATURE_CHANGE_PARAMETERS

  The constant in the JRServer DHTML, that identifies the generic feature ID, and starts FEATURE_. `FEATURE_CHANGE_PARAMETERS`.

  See Also:
    Constant Field Values

### FEATURE_INTERACTIVE_VIEW

    public static final java.lang.String FEATURE_INTERACTIVE_VIEW

See Also:
  Constant Field Values

### TABLE_EXCEED_PAGESIZE

    public static final java.lang.String TABLE_EXCEED_PAGESIZE

See Also:
  Constant Field Values

### COMP_USERINFOBAR

    public static final java.lang.String COMP_USERINFOBAR

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_USERINFOBAR`.

  See Also:
    Constant Field Values

### COMP_MAINMENU

    public static final java.lang.String COMP_MAINMENU

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_MAINMENU`.

  See Also:
    Constant Field Values

### COMP_TOOLBOX

    public static final java.lang.String COMP_TOOLBOX

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_TOOLBOX`.

  See Also:
    Constant Field Values

### COMP_TOCTREE

    public static final java.lang.String COMP_TOCTREE

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_TOCTREE`.

  See Also:
    Constant Field Values

### COMP_DSOTREE

    public static final java.lang.String COMP_DSOTREE

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_DSOTREE`.

  See Also:
    Constant Field Values

### COMP_TOOLBAR

    public static final java.lang.String COMP_TOOLBAR

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_TOOLBAR`.

  See Also:
    Constant Field Values

### COMP_RPTSETBAR

    public static final java.lang.String COMP_RPTSETBAR

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_RPTSETBAR`.

  See Also:
    Constant Field Values

### COMP_REPORTPANEL

    public static final java.lang.String COMP_REPORTPANEL

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_REPORTPANEL`.

  See Also:
    Constant Field Values

### COMP_LINKPANEL

    public static final java.lang.String COMP_LINKPANEL

  The constant in the JRServer DHTML, that identifies the generic DHTML UI component name, and starts COMP_. `COMP_LINKPANEL`.

  See Also:
    Constant Field Values

### CONTEXTMENU_DISPLAYNAME

    public static final java.lang.String CONTEXTMENU_DISPLAYNAME

See Also:
  Constant Field Values

### CONTEXTMENU_FILTER

    public static final java.lang.String CONTEXTMENU_FILTER

See Also:
  Constant Field Values

### CONTEXTMENU_SORT

    public static final java.lang.String CONTEXTMENU_SORT

See Also:
  Constant Field Values

### CONTEXTMENU_GOTO

    public static final java.lang.String CONTEXTMENU_GOTO

See Also:
  Constant Field Values

### CONTEXTMENU_DRILL

    public static final java.lang.String CONTEXTMENU_DRILL

See Also:
  Constant Field Values

### CONTEXTMENU_SHOWORHIDE

    public static final java.lang.String CONTEXTMENU_SHOWORHIDE

See Also:
  Constant Field Values

### CONTEXTMENU_ROTATE

    public static final java.lang.String CONTEXTMENU_ROTATE

See Also:
  Constant Field Values

### CONTEXTMENU_RESET

    public static final java.lang.String CONTEXTMENU_RESET

See Also:
  Constant Field Values

### CONTEXTMENU_REFRESH

    public static final java.lang.String CONTEXTMENU_REFRESH

See Also:
  Constant Field Values

### CONTEXTMENU_SEARCH

    public static final java.lang.String CONTEXTMENU_SEARCH

See Also:
  Constant Field Values

### CONTEXTMENU_CHARTTYPE

    public static final java.lang.String CONTEXTMENU_CHARTTYPE

See Also:
  Constant Field Values

### CONTEXTMENU_TOCHART

    public static final java.lang.String CONTEXTMENU_TOCHART

See Also:
  Constant Field Values

### CONTEXTMENU_TOCROSSTAB

    public static final java.lang.String CONTEXTMENU_TOCROSSTAB

See Also:
  Constant Field Values

### CONTEXTMENU_LINKREPORT

    public static final java.lang.String CONTEXTMENU_LINKREPORT

See Also:
  Constant Field Values

### CONTEXTMENU_DETAILREPORT

    public static final java.lang.String CONTEXTMENU_DETAILREPORT

See Also:
  Constant Field Values

### CONTEXTMENU_DELETE

    public static final java.lang.String CONTEXTMENU_DELETE

See Also:
  Constant Field Values

### CONTEXTMENU_BCFILTER

    public static final java.lang.String CONTEXTMENU_BCFILTER

See Also:
  Constant Field Values

### CONTEXTMENU_PROPERTIES

    public static final java.lang.String CONTEXTMENU_PROPERTIES

See Also:
  Constant Field Values

### CONTEXTMENU_EXPAND

    public static final java.lang.String CONTEXTMENU_EXPAND

See Also:
  Constant Field Values

### CONTEXTMENU_STYLE

    public static final java.lang.String CONTEXTMENU_STYLE

See Also:
  Constant Field Values

### CONTEXTMENU_FILTERCONTROL

    public static final java.lang.String CONTEXTMENU_FILTERCONTROL

See Also:
  Constant Field Values

### PREVIEW_MODE

    public static final java.lang.String PREVIEW_MODE

See Also:
  Constant Field Values

### REPORT_RST

    public static final java.lang.String REPORT_RST

See Also:
  Constant Field Values

### SCENE_ID

    public static final java.lang.String SCENE_ID

See Also:
  Constant Field Values

### JOIN_PATH

    public static final java.lang.String JOIN_PATH

See Also:
  Constant Field Values

### HAS_SUBMITED

    public static final java.lang.String HAS_SUBMITED

See Also:
  Constant Field Values

### HAS_JOIN_PATH

    public static final java.lang.String HAS_JOIN_PATH

See Also:
  Constant Field Values

### JOIN_PATH_FOR_OPEN

    public static final java.lang.String JOIN_PATH_FOR_OPEN

See Also:
  Constant Field Values

### JOIN_PATH_FOR_OPEN_OK

    public static final java.lang.String JOIN_PATH_FOR_OPEN_OK

See Also:
  Constant Field Values

### PARAMETERS

    public static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

### REPORT_PAGE_PANEL

    public static final java.lang.String REPORT_PAGE_PANEL

See Also:
  Constant Field Values

### REPORT_PANEL

    public static final java.lang.String REPORT_PANEL

See Also:
  Constant Field Values

### CURRENT_RPT

    public static final java.lang.String CURRENT_RPT

See Also:
  Constant Field Values

### RPT_NAMES

    public static final java.lang.String RPT_NAMES

See Also:
  Constant Field Values

### ENCODING

    public static final java.lang.String ENCODING

See Also:
  Constant Field Values

### CONVERTENCODING

    public static final java.lang.String CONVERTENCODING

See Also:
  Constant Field Values

### CONVERT_FROM_ENCODING

    public static final java.lang.String CONVERT_FROM_ENCODING

See Also:
  Constant Field Values

### CONVERT_TO_ENCODING

    public static final java.lang.String CONVERT_TO_ENCODING

See Also:
  Constant Field Values

### CANCEL_ENCODING

    public static final java.lang.String CANCEL_ENCODING

See Also:
  Constant Field Values

### canDoSortComponentTypes

    public static final java.lang.String[] canDoSortComponentTypes

### canDoSortComponentTypes_fromContextMenu

    public static final java.lang.String[] canDoSortComponentTypes_fromContextMenu

### canDoFilterComponentTypes

    public static final java.lang.String[] canDoFilterComponentTypes

### canDoTopNComponentTypes

    public static final java.lang.String[] canDoTopNComponentTypes

### canDoTopNComponentTypes_fromContextMenu

    public static final java.lang.String[] canDoTopNComponentTypes_fromContextMenu

### canDoSearchByValueComponentTypes

    public static final java.lang.String[] canDoSearchByValueComponentTypes

### IS_DIGITALID_CHECKOK

    public static final java.lang.String IS_DIGITALID_CHECKOK

See Also:
  Constant Field Values

### DIGITALID_CHECKCODE

    public static final java.lang.String DIGITALID_CHECKCODE

See Also:
  Constant Field Values

### DHTML_HELP_OP

    public static final java.lang.String DHTML_HELP_OP

See Also:
  Constant Field Values

### TAG_IS_NOT_TEMP_FILE

    public static final java.lang.String TAG_IS_NOT_TEMP_FILE

See Also:
  Constant Field Values

### JRS_AUTO_REFRESH_DATA

    public static final java.lang.String JRS_AUTO_REFRESH_DATA

See Also:
  Constant Field Values

### JRS_AUTO_REFRESH_DATA_TIME

    public static final java.lang.String JRS_AUTO_REFRESH_DATA_TIME

See Also:
  Constant Field Values

### JRS_RESOURCE_PATH

    public static final java.lang.String JRS_RESOURCE_PATH

See Also:
  Constant Field Values

### JRS_FILE

    public static final java.lang.String JRS_FILE

See Also:
  Constant Field Values

### HSAVE

    public static final int HSAVE

See Also:
  Constant Field Values

### HEXPHTML

    public static final int HEXPHTML

See Also:
  Constant Field Values

### HEXPPDF

    public static final int HEXPPDF

See Also:
  Constant Field Values

### HEXPTXT

    public static final int HEXPTXT

See Also:
  Constant Field Values

### HEXPXLS

    public static final int HEXPXLS

See Also:
  Constant Field Values

### HEXPPS

    public static final int HEXPPS

See Also:
  Constant Field Values

### HEXPRTF

    public static final int HEXPRTF

See Also:
  Constant Field Values

### HEXPXML

    public static final int HEXPXML

See Also:
  Constant Field Values

### HPREPD

    public static final int HPREPD

See Also:
  Constant Field Values

### HPARAM

    public static final int HPARAM

See Also:
  Constant Field Values

### HLABELDLG

    public static final int HLABELDLG

See Also:
  Constant Field Values

### HDBFDLG

    public static final int HDBFDLG

See Also:
  Constant Field Values

### HSTYLEDLG

    public static final int HSTYLEDLG

See Also:
  Constant Field Values

### HPARAMDLG

    public static final int HPARAMDLG

See Also:
  Constant Field Values

### HPARAMPROPDLG

    public static final int HPARAMPROPDLG

See Also:
  Constant Field Values

### HSPECFDLG

    public static final int HSPECFDLG

See Also:
  Constant Field Values

### HSECDLG

    public static final int HSECDLG

See Also:
  Constant Field Values

### HRPTHEADSECPROPDLG

    public static final int HRPTHEADSECPROPDLG

See Also:
  Constant Field Values

### HPAGEHEADSECPROPDLG

    public static final int HPAGEHEADSECPROPDLG

See Also:
  Constant Field Values

### HPAGEFOOTSECPROPDLG

    public static final int HPAGEFOOTSECPROPDLG

See Also:
  Constant Field Values

### HDETAILSECDLG

    public static final int HDETAILSECDLG

See Also:
  Constant Field Values

### HGRPDLG

    public static final int HGRPDLG

See Also:
  Constant Field Values

### HFORMULA

    public static final int HFORMULA

See Also:
  Constant Field Values

### HSUMMARY

    public static final int HSUMMARY

See Also:
  Constant Field Values

### HNEWRPTSET

    public static final int HNEWRPTSET

See Also:
  Constant Field Values

### HFILTERM

    public static final int HFILTERM

See Also:
  Constant Field Values

### HTOCHARTDLG

    public static final int HTOCHARTDLG

See Also:
  Constant Field Values

### HGRPHEADSECPROPDLG

    public static final int HGRPHEADSECPROPDLG

See Also:
  Constant Field Values

### HRPTFOOTSECPROPDLG

    public static final int HRPTFOOTSECPROPDLG

See Also:
  Constant Field Values

### H_CREATE_CHART

    public static final int H_CREATE_CHART

See Also:
  Constant Field Values

### H_CREATE_CROSSTAB

    public static final int H_CREATE_CROSSTAB

See Also:
  Constant Field Values

### H_CREATE_SECTION

    public static final int H_CREATE_SECTION

See Also:
  Constant Field Values

### H_CREATE_TABLE

    public static final int H_CREATE_TABLE

See Also:
  Constant Field Values

### HDBFPROPDLG

    public static final int HDBFPROPDLG

See Also:
  Constant Field Values

### HFLT

    public static final int HFLT

See Also:
  Constant Field Values

### HIMGPROPDLG

    public static final int HIMGPROPDLG

See Also:
  Constant Field Values

### HLABELPROPDLG

    public static final int HLABELPROPDLG

See Also:
  Constant Field Values

### HOPENRPTDLG

    public static final int HOPENRPTDLG

See Also:
  Constant Field Values

### HCUSTOMIZE

    public static final int HCUSTOMIZE

See Also:
  Constant Field Values

### HPAGEDLG

    public static final int HPAGEDLG

See Also:
  Constant Field Values

### HPRINT

    public static final int HPRINT

See Also:
  Constant Field Values

### HRPTPROPDLG

    public static final int HRPTPROPDLG

See Also:
  Constant Field Values

### HSAVEAS

    public static final int HSAVEAS

See Also:
  Constant Field Values

### HSAVERESULT

    public static final int HSAVERESULT

See Also:
  Constant Field Values

### HSEAR

    public static final int HSEAR

See Also:
  Constant Field Values

### HSELECTVALUEDLG

    public static final int HSELECTVALUEDLG

See Also:
  Constant Field Values

### HSORTDLG

    public static final int HSORTDLG

See Also:
  Constant Field Values

### HSPECFPROPDLG

    public static final int HSPECFPROPDLG

See Also:
  Constant Field Values

### HFILTER_TOPN

    public static final int HFILTER_TOPN

See Also:
  Constant Field Values

### HFILTER_BOTTOMN

    public static final int HFILTER_BOTTOMN

See Also:
  Constant Field Values

### HDEFAULT

    public static final int HDEFAULT

See Also:
  Constant Field Values

### HSPLITCELL

    public static final int HSPLITCELL

See Also:
  Constant Field Values

### H_CHART_PLATFORM

    public static final int H_CHART_PLATFORM

See Also:
  Constant Field Values

### H_PROP_CROSSTAB

    public static final int H_PROP_CROSSTAB

See Also:
  Constant Field Values

### H_PROP_GROUP

    public static final int H_PROP_GROUP

See Also:
  Constant Field Values

### H_PROP_MULTI_VALUE

    public static final int H_PROP_MULTI_VALUE

See Also:
  Constant Field Values

### H_PROP_PARAMETER_FIELD

    public static final int H_PROP_PARAMETER_FIELD

See Also:
  Constant Field Values

### H_PROP_REPORT_BODY

    public static final int H_PROP_REPORT_BODY

See Also:
  Constant Field Values

### H_PROP_SECTION_OBJECT

    public static final int H_PROP_SECTION_OBJECT

See Also:
  Constant Field Values

### H_PROP_SECTION_PANEL

    public static final int H_PROP_SECTION_PANEL

See Also:
  Constant Field Values

### H_PROP_TABLE

    public static final int H_PROP_TABLE

See Also:
  Constant Field Values

### H_PROP_TABLE_CELL

    public static final int H_PROP_TABLE_CELL

See Also:
  Constant Field Values

### H_PROP_TABLE_ROW

    public static final int H_PROP_TABLE_ROW

See Also:
  Constant Field Values

### H_PROP_TABULAR

    public static final int H_PROP_TABULAR

See Also:
  Constant Field Values

### H_PROP_TABULAR_CELL

    public static final int H_PROP_TABULAR_CELL

See Also:
  Constant Field Values

### H_PROP_TEXT_BOX

    public static final int H_PROP_TEXT_BOX

See Also:
  Constant Field Values

### H_PROP_TO_CROSSTAB

    public static final int H_PROP_TO_CROSSTAB

See Also:
  Constant Field Values

### H_PROP_CHART_DEFINITION

    public static final int H_PROP_CHART_DEFINITION

See Also:
  Constant Field Values

### H_PROP_CONVERT_DATA_FIELDS

    public static final int H_PROP_CONVERT_DATA_FIELDS

See Also:
  Constant Field Values

### H_PROP_REPORT_PARAMETER

    public static final int H_PROP_REPORT_PARAMETER

See Also:
  Constant Field Values

### H_PROP_CHART_LEGEND

    public static final int H_PROP_CHART_LEGEND

See Also:
  Constant Field Values

### H_PROP_CHART_LABEL

    public static final int H_PROP_CHART_LABEL

See Also:
  Constant Field Values

### HCOLORPICKERDLG

    public static final int HCOLORPICKERDLG

See Also:
  Constant Field Values

### HDRAGDLG

    public static final int HDRAGDLG

See Also:
  Constant Field Values

### HENCODINGDLG

    public static final int HENCODINGDLG

See Also:
  Constant Field Values

### HGOTOPAGEDLG

    public static final int HGOTOPAGEDLG

See Also:
  Constant Field Values

### HPDFENCRYPTDLG

    public static final int HPDFENCRYPTDLG

See Also:
  Constant Field Values

### HPDFSIGNDLG

    public static final int HPDFSIGNDLG

See Also:
  Constant Field Values

### HRECORDNUMBERDLG

    public static final int HRECORDNUMBERDLG

See Also:
  Constant Field Values

### HNEWTOOLBARNAMEDLG

    public static final int HNEWTOOLBARNAMEDLG

See Also:
  Constant Field Values

### HRENAMESHEETDLG

    public static final int HRENAMESHEETDLG

See Also:
  Constant Field Values

### HSAVEVALIDATEDLG

    public static final int HSAVEVALIDATEDLG

See Also:
  Constant Field Values

### HSAVEALERTDLG

    public static final int HSAVEALERTDLG

See Also:
  Constant Field Values

### HSELECTJOINPATHDLG

    public static final int HSELECTJOINPATHDLG

See Also:
  Constant Field Values

### HSELECTPARAMETERDLG

    public static final int HSELECTPARAMETERDLG

See Also:
  Constant Field Values

### HPARAMETERMULTIDLG

    public static final int HPARAMETERMULTIDLG

See Also:
  Constant Field Values

### HZOOMDLG

    public static final int HZOOMDLG

See Also:
  Constant Field Values

### H_PROP_CHART_PAPER

    public static final int H_PROP_CHART_PAPER

See Also:
  Constant Field Values

### HTOCHATDLG

    public static final int HTOCHATDLG

See Also:
  Constant Field Values

### HCHARTFORMATDLG

    public static final int HCHARTFORMATDLG

See Also:
  Constant Field Values

### HNEWREPORTDLG

    public static final int HNEWREPORTDLG

See Also:
  Constant Field Values

### H_NEW_REPORT_SET

    public static final int H_NEW_REPORT_SET

See Also:
  Constant Field Values

### HELP_BCFILTER_DLG

    public static final int HELP_BCFILTER_DLG

See Also:
  Constant Field Values

### HELP_EDIT_CONDITION_BCFILTER_DLG

    public static final int HELP_EDIT_CONDITION_BCFILTER_DLG

See Also:
  Constant Field Values

### HELP_ORDER_SELECT_N_DLG

    public static final int HELP_ORDER_SELECT_N_DLG

See Also:
  Constant Field Values

### HELP_APPLY_STYLE_DLG

    public static final int HELP_APPLY_STYLE_DLG

See Also:
  Constant Field Values

### HELP_INS_IMG_DLG

    public static final int HELP_INS_IMG_DLG

See Also:
  Constant Field Values

### HELP_MEASURE_EDT_DLG

    public static final int HELP_MEASURE_EDT_DLG

See Also:
  Constant Field Values

### HELP_FORMULA_EDT_DLG

    public static final int HELP_FORMULA_EDT_DLG

See Also:
  Constant Field Values

### HELP_SELECT_RES_DLG

    public static final int HELP_SELECT_RES_DLG

See Also:
  Constant Field Values

### HELP_COND_FMT_DLG

    public static final int HELP_COND_FMT_DLG

See Also:
  Constant Field Values

### HELP_BUTTON_PROP_DLG

    public static final int HELP_BUTTON_PROP_DLG

See Also:
  Constant Field Values

### HELP_FILTER_CONTRL_PROP_DLG

    public static final int HELP_FILTER_CONTRL_PROP_DLG

See Also:
  Constant Field Values

### HELP_INS_FILTER_CONTRL_DLG

    public static final int HELP_INS_FILTER_CONTRL_DLG

See Also:
  Constant Field Values

### HELP_INS_PARAM_CONTRL_DLG

    public static final int HELP_INS_PARAM_CONTRL_DLG

See Also:
  Constant Field Values

### HELP_INS_PARAM_FORM_CONTRL_DLG

    public static final int HELP_INS_PARAM_FORM_CONTRL_DLG

See Also:
  Constant Field Values

### HELP_NAVIGATION_PROP_DLG

    public static final int HELP_NAVIGATION_PROP_DLG

See Also:
  Constant Field Values

### HELP_PARAM_CONTROL_PROP_DLG

    public static final int HELP_PARAM_CONTROL_PROP_DLG

See Also:
  Constant Field Values

### HELP_PARAM_FORM_CONTROL_PROP_DLG

    public static final int HELP_PARAM_FORM_CONTROL_PROP_DLG

See Also:
  Constant Field Values

### HELP_SELECT_FIELD_DLG

    public static final int HELP_SELECT_FIELD_DLG

See Also:
  Constant Field Values

### HELP_AGGREGATE_ON_DLG

    public static final int HELP_AGGREGATE_ON_DLG

See Also:
  Constant Field Values

### HELP_INSERT_DC_DLG

    public static final int HELP_INSERT_DC_DLG

See Also:
  Constant Field Values

### HELP_INSERT_GC_DLG

    public static final int HELP_INSERT_GC_DLG

See Also:
  Constant Field Values

### HELP_INSERT_SC_DLG

    public static final int HELP_INSERT_SC_DLG

See Also:
  Constant Field Values

### HELP_SELECT_GROUP_POSITION_DLG

    public static final int HELP_SELECT_GROUP_POSITION_DLG

See Also:
  Constant Field Values

### HELP_CUSTOMIZED_PAGE

    public static final int HELP_CUSTOMIZED_PAGE

See Also:
  Constant Field Values

### HELP_AXIS_X

    public static final int HELP_AXIS_X

See Also:
  Constant Field Values

### HELP_AXIS_Y

    public static final int HELP_AXIS_Y

See Also:
  Constant Field Values

### HELP_AXIS_Y2

    public static final int HELP_AXIS_Y2

See Also:
  Constant Field Values

### SERVERHOST

    public static final java.lang.String SERVERHOST

See Also:
  Constant Field Values

### SERVERPORT

    public static final java.lang.String SERVERPORT

See Also:
  Constant Field Values

### SERVERSCHEME

    public static final java.lang.String SERVERSCHEME

See Also:
  Constant Field Values

### OPEN_RPT_TYPE

    public static final java.lang.String OPEN_RPT_TYPE

See Also:
  Constant Field Values

### OPEN_TYPE_UNKNOWN

    public static final int OPEN_TYPE_UNKNOWN

See Also:
  Constant Field Values

### OPEN_TYPE_RPTSET

    public static final int OPEN_TYPE_RPTSET

See Also:
  Constant Field Values

### OPEN_TYPE_RPTSHEET

    public static final int OPEN_TYPE_RPTSHEET

See Also:
  Constant Field Values

### OPEN_TYPE_LINKRPT

    public static final int OPEN_TYPE_LINKRPT

See Also:
  Constant Field Values

### OPEN_TYPE_MDRPT

    public static final int OPEN_TYPE_MDRPT

See Also:
  Constant Field Values

### OPEN_TYPE_NEWRPT

    public static final int OPEN_TYPE_NEWRPT

See Also:
  Constant Field Values

### OPEN_TYPE_RSDRPT

    public static final int OPEN_TYPE_RSDRPT

See Also:
  Constant Field Values

### OPEN_TYPE_RSDBURSTING

    public static final int OPEN_TYPE_RSDBURSTING

See Also:
  Constant Field Values

### CHECK_OK

    public static final int CHECK_OK

See Also:
  Constant Field Values

### CHECK_CREATE_SESSION_OK

    public static final int CHECK_CREATE_SESSION_OK

See Also:
  Constant Field Values

### CHECK_CREATE_SESSION_ERROR

    public static final int CHECK_CREATE_SESSION_ERROR

See Also:
  Constant Field Values

### CHECK_EXCEED_USER

    public static final int CHECK_EXCEED_USER

See Also:
  Constant Field Values

### CHECK_EXCEED_REPORT_SESSION

    public static final int CHECK_EXCEED_REPORT_SESSION

See Also:
  Constant Field Values

### CHECK_EXTRA_CHANNEL

    public static final int CHECK_EXTRA_CHANNEL

See Also:
  Constant Field Values

### CHECK_HAS_JOIN_PATH_FOR_OPEN

    public static final int CHECK_HAS_JOIN_PATH_FOR_OPEN

See Also:
  Constant Field Values

### CHECK_HAVE_EXCEPTION

    public static final int CHECK_HAVE_EXCEPTION

See Also:
  Constant Field Values

### CHECK_EXCEED_REPORT_LICENSE

    public static final int CHECK_EXCEED_REPORT_LICENSE

See Also:
  Constant Field Values

### CHECK_OVER_MAXOPEN

    public static final int CHECK_OVER_MAXOPEN

See Also:
  Constant Field Values

### CHECK_WRONG_CATALOG

    public static final int CHECK_WRONG_CATALOG

See Also:
  Constant Field Values

### CHECK_EXCEED_REPORT_CAN_OPEN

    public static final int CHECK_EXCEED_REPORT_CAN_OPEN

See Also:
  Constant Field Values

### CONTAINER_TYPE_TABLE

    public static final int CONTAINER_TYPE_TABLE

See Also:
  Constant Field Values

### CONTAINER_TYPE_CROSSTAB

    public static final int CONTAINER_TYPE_CROSSTAB

See Also:
  Constant Field Values

### CONTAINER_TYPE_CHART

    public static final int CONTAINER_TYPE_CHART

See Also:
  Constant Field Values

### CONTAINER_TYPE_SECTION

    public static final int CONTAINER_TYPE_SECTION

See Also:
  Constant Field Values

### CONTAINER_TYPE_TEXTBOX

    public static final int CONTAINER_TYPE_TEXTBOX

See Also:
  Constant Field Values

### CONTAINER_TYPE_TABULAR

    public static final int CONTAINER_TYPE_TABULAR

See Also:
  Constant Field Values

### CONTAINER_TYPE_MULTIVALUE

    public static final int CONTAINER_TYPE_MULTIVALUE

See Also:
  Constant Field Values

### CONTAINER_TYPE_MAP

    public static final int CONTAINER_TYPE_MAP

See Also:
  Constant Field Values

### CONTAINER_TYPE_TABLEROW

    public static final int CONTAINER_TYPE_TABLEROW

See Also:
  Constant Field Values

### CONTAINER_TYPE_TABLECELL

    public static final int CONTAINER_TYPE_TABLECELL

See Also:
  Constant Field Values

### CONTAINER_TYPE_TABULARCELL

    public static final int CONTAINER_TYPE_TABULARCELL

See Also:
  Constant Field Values

### DSFIELD_TYPE_DBFIELD

    public static final int DSFIELD_TYPE_DBFIELD

See Also:
  Constant Field Values

### DSFIELD_TYPE_LABEL

    public static final int DSFIELD_TYPE_LABEL

See Also:
  Constant Field Values

### DSFIELD_TYPE_SPECIALFIELD

    public static final int DSFIELD_TYPE_SPECIALFIELD

See Also:
  Constant Field Values

### DSFIELD_TYPE_PARAMETERFIELD

    public static final int DSFIELD_TYPE_PARAMETERFIELD

See Also:
  Constant Field Values

### CONTAINER_TYPE_REPORTBODY

    public static final int CONTAINER_TYPE_REPORTBODY

See Also:
  Constant Field Values

### CONTAINER_TYPE_SECTIONOBJECT

    public static final int CONTAINER_TYPE_SECTIONOBJECT

See Also:
  Constant Field Values

### DSFIELD_TYPE_MULTIVALUECONTAINER

    public static final int DSFIELD_TYPE_MULTIVALUECONTAINER

See Also:
  Constant Field Values

### CONTAINER_TYPE_GROUP

    public static final int CONTAINER_TYPE_GROUP

See Also:
  Constant Field Values

### PARAM_HAS_AXISX

    public static final java.lang.String PARAM_HAS_AXISX

See Also:
  Constant Field Values

### PARAM_HAS_AXISZ

    public static final java.lang.String PARAM_HAS_AXISZ

See Also:
  Constant Field Values

### PARAM_HAS_AXISY1

    public static final java.lang.String PARAM_HAS_AXISY1

See Also:
  Constant Field Values

### PARAM_HAS_AXISY2

    public static final java.lang.String PARAM_HAS_AXISY2

See Also:
  Constant Field Values

### PARAM_HAS_THRESHOLDLINE

    public static final java.lang.String PARAM_HAS_THRESHOLDLINE

See Also:
  Constant Field Values

### PARAM_HAS_BULLET

    public static final java.lang.String PARAM_HAS_BULLET

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_TYPE_REPORT_HEADER_PANEL

    public static final int COMPONENT_TYPE_REPORT_HEADER_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_REPORT_BODY

    public static final int COMPONENT_TYPE_REPORT_BODY

See Also:
  Constant Field Values

### COMPONENT_TYPE_REPORT_FOOTER_PANEL

    public static final int COMPONENT_TYPE_REPORT_FOOTER_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_PAGE_HADER_PANEL

    public static final int COMPONENT_TYPE_PAGE_HADER_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_PAGE_FOOTER_PANEL

    public static final int COMPONENT_TYPE_PAGE_FOOTER_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_SECTION_HEADER

    public static final int COMPONENT_TYPE_SECTION_HEADER

See Also:
  Constant Field Values

### COMPONENT_TYPE_SECTION_FOOTER

    public static final int COMPONENT_TYPE_SECTION_FOOTER

See Also:
  Constant Field Values

### COMPONENT_TYPE_SECTION_OBJECT

    public static final int COMPONENT_TYPE_SECTION_OBJECT

See Also:
  Constant Field Values

### COMPONENT_TYPE_SECTION_PAGEHADER

    public static final int COMPONENT_TYPE_SECTION_PAGEHADER

See Also:
  Constant Field Values

### COMPONENT_TYPE_SECTION_PAGEFOOTER

    public static final int COMPONENT_TYPE_SECTION_PAGEFOOTER

See Also:
  Constant Field Values

### COMPONENT_TYPE_SECTION_PAGEPANEL

    public static final int COMPONENT_TYPE_SECTION_PAGEPANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_GROUP_HEADER_PANEL

    public static final int COMPONENT_TYPE_GROUP_HEADER_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_GROUP_FOOTER_PANEL

    public static final int COMPONENT_TYPE_GROUP_FOOTER_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_DETAIL_PANEL

    public static final int COMPONENT_TYPE_DETAIL_PANEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABULAR

    public static final int COMPONENT_TYPE_TABULAR

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABULAR_CELL

    public static final int COMPONENT_TYPE_TABULAR_CELL

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE

    public static final int COMPONENT_TYPE_TABLE

See Also:
  Constant Field Values

### COMPONENT_TYPE_NEW_TABLE

    public static final int COMPONENT_TYPE_NEW_TABLE

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_CELL

    public static final int COMPONENT_TYPE_TABLE_CELL

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_HEADER

    public static final int COMPONENT_TYPE_TABLE_HEADER

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_FOOTER

    public static final int COMPONENT_TYPE_TABLE_FOOTER

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_DETAIL

    public static final int COMPONENT_TYPE_TABLE_DETAIL

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_ROW

    public static final int COMPONENT_TYPE_TABLE_ROW

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_GROUP_HEADER

    public static final int COMPONENT_TYPE_TABLE_GROUP_HEADER

See Also:
  Constant Field Values

### COMPONENT_TYPE_TABLE_GROUP_FOOTER

    public static final int COMPONENT_TYPE_TABLE_GROUP_FOOTER

See Also:
  Constant Field Values

### COMPONENT_TYPE_CROSS_TAB

    public static final int COMPONENT_TYPE_CROSS_TAB

See Also:
  Constant Field Values

### COMPONENT_TYPE_PARAGRAPH

    public static final int COMPONENT_TYPE_PARAGRAPH

See Also:
  Constant Field Values

### COMPONENT_TYPE_TEXT_SEGMENT

    public static final int COMPONENT_TYPE_TEXT_SEGMENT

See Also:
  Constant Field Values

### COMPONENT_TYPE_TEXT_BOX

    public static final int COMPONENT_TYPE_TEXT_BOX

See Also:
  Constant Field Values

### COMPONENT_TYPE_CHART

    public static final int COMPONENT_TYPE_CHART

See Also:
  Constant Field Values

### COMPONENT_TYPE_CHARTPLATFORM

    public static final int COMPONENT_TYPE_CHARTPLATFORM

See Also:
  Constant Field Values

### COMPONENT_TYPE_CHARTLEGEND

    public static final int COMPONENT_TYPE_CHARTLEGEND

See Also:
  Constant Field Values

### COMPONENT_TYPE_CHARTLABEL

    public static final int COMPONENT_TYPE_CHARTLABEL

See Also:
  Constant Field Values

### COMPONENT_TYPE_PICTURE

    public static final int COMPONENT_TYPE_PICTURE

See Also:
  Constant Field Values

### COMPONENT_TYPE_UDO

    public static final int COMPONENT_TYPE_UDO

See Also:
  Constant Field Values

### COMPONENT_TYPE_BOX

    public static final int COMPONENT_TYPE_BOX

See Also:
  Constant Field Values

### COMPONENT_TYPE_LINE

    public static final int COMPONENT_TYPE_LINE

See Also:
  Constant Field Values

### COMPONENT_TYPE_SUB_REPORT

    public static final int COMPONENT_TYPE_SUB_REPORT

See Also:
  Constant Field Values

### COMPONENT_TYPE_COMPFLOAT

    public static final int COMPONENT_TYPE_COMPFLOAT

See Also:
  Constant Field Values

### COMPONENT_TYPE_MAP

    public static final int COMPONENT_TYPE_MAP

See Also:
  Constant Field Values

### COMPONENT_TYPE_MAP_AREA

    public static final int COMPONENT_TYPE_MAP_AREA

See Also:
  Constant Field Values

### COMPONENT_TYPE_MULTI_VALUE_BOX

    public static final int COMPONENT_TYPE_MULTI_VALUE_BOX

See Also:
  Constant Field Values

### COMPONENT_TYPE_FIELD

    public static final int COMPONENT_TYPE_FIELD

See Also:
  Constant Field Values

### COMPONENT_TYPE_OLE

    public static final int COMPONENT_TYPE_OLE

See Also:
  Constant Field Values

### COMPONENT_TYPE_GROUPCONTROLIMG

    public static final int COMPONENT_TYPE_GROUPCONTROLIMG

See Also:
  Constant Field Values

### COMPONENT_TYPE_SUBREPORT_BODY

    public static final int COMPONENT_TYPE_SUBREPORT_BODY

See Also:
  Constant Field Values

### COMPONENT_TYPE_TEXT_FIELD

    public static final int COMPONENT_TYPE_TEXT_FIELD

See Also:
  Constant Field Values

### COMPONENT_TYPE_ONSCREEN_FILTER

    public static final int COMPONENT_TYPE_ONSCREEN_FILTER

See Also:
  Constant Field Values

### COMPONENT_TYPE_NAVIGATOR_CTRL

    public static final int COMPONENT_TYPE_NAVIGATOR_CTRL

See Also:
  Constant Field Values

### COMPONENT_TYPE_NAVIGATOR_BUTTON

    public static final int COMPONENT_TYPE_NAVIGATOR_BUTTON

See Also:
  Constant Field Values

### COMPONENT_TYPE_PARAM_FORM_CTRL

    public static final int COMPONENT_TYPE_PARAM_FORM_CTRL

See Also:
  Constant Field Values

### EVENT_SRC

    public static final java.lang.String EVENT_SRC

See Also:
  Constant Field Values

### REPORT_PAGE_MODE_LOGIC

    public static final java.lang.String REPORT_PAGE_MODE_LOGIC

See Also:
  Constant Field Values

### REPORT_PAGE_MODE_PHYSICAL

    public static final java.lang.String REPORT_PAGE_MODE_PHYSICAL

See Also:
  Constant Field Values

### ERRORSRC

    public static final java.lang.String ERRORSRC

See Also:
  Constant Field Values

### REPORTSET_PROFILE

    public static final java.lang.String REPORTSET_PROFILE

See Also:
  Constant Field Values

### REPORTSET_RESOLUTION

    public static final java.lang.String REPORTSET_RESOLUTION

See Also:
  Constant Field Values

### SEPARATOR1

    public static final java.lang.String SEPARATOR1

See Also:
  Constant Field Values

### SEPARATOR2

    public static final java.lang.String SEPARATOR2

See Also:
  Constant Field Values

### SEPARATOR3

    public static final java.lang.String SEPARATOR3

See Also:
  Constant Field Values

### USE_THREAD_RUN

    public static final java.lang.String USE_THREAD_RUN

See Also:
  Constant Field Values

### ONLY_GET_INFO

    public static final java.lang.String ONLY_GET_INFO

See Also:
  Constant Field Values

### COMP_STYLE_TYPE

    public static final java.lang.String COMP_STYLE_TYPE

See Also:
  Constant Field Values

### COMP_STYLE_NAME

    public static final java.lang.String COMP_STYLE_NAME

See Also:
  Constant Field Values

### COMP_STYLE_CURRENT_STYLE

    public static final java.lang.String COMP_STYLE_CURRENT_STYLE

See Also:
  Constant Field Values

### COMP_STYLE_CHART_CURRENT_PTYPE

    public static final java.lang.String COMP_STYLE_CHART_CURRENT_PTYPE

See Also:
  Constant Field Values

### COMP_STYLE_INHERIT

    public static final java.lang.String COMP_STYLE_INHERIT

See Also:
  Constant Field Values

### COMP_STYLE_REPLACE_CURRENT_STYLE

    public static final java.lang.String COMP_STYLE_REPLACE_CURRENT_STYLE

See Also:
  Constant Field Values

### EXPORT_TYPE_RSD

    public static final int EXPORT_TYPE_RSD

See Also:
  Constant Field Values

### SIMPLE_VIEW_TOOLBAR

    public static final int[] SIMPLE_VIEW_TOOLBAR

### PAGE_CONTROL_TOOLBAR

    public static final int[] PAGE_CONTROL_TOOLBAR

### TOOLBAR_INHERITSTYLE_NAME

    public static final java.lang.String TOOLBAR_INHERITSTYLE_NAME

See Also:
  Constant Field Values

### TOOLBAR_CUSTOMIZESTYLE_NAME

    public static final java.lang.String TOOLBAR_CUSTOMIZESTYLE_NAME

See Also:
  Constant Field Values

### TOOLBAR_STYLE_NO_STYLE_NAME

    public static final java.lang.String TOOLBAR_STYLE_NO_STYLE_NAME

See Also:
  Constant Field Values

### TOOLBAR_INHERITSTYLE_VALUE

    public static final java.lang.String TOOLBAR_INHERITSTYLE_VALUE

See Also:
  Constant Field Values

### OPEN_TASK_LAST_STEP

    public static final java.lang.String OPEN_TASK_LAST_STEP

See Also:
  Constant Field Values

### SPECIAL_PRINT_DATE

    public static final java.lang.String SPECIAL_PRINT_DATE

See Also:
  Constant Field Values

### SPECIAL_PRINT_TIME

    public static final java.lang.String SPECIAL_PRINT_TIME

See Also:
  Constant Field Values

### SPECIAL_FETCH_DATE

    public static final java.lang.String SPECIAL_FETCH_DATE

See Also:
  Constant Field Values

### SPECIAL_FETCH_TIME

    public static final java.lang.String SPECIAL_FETCH_TIME

See Also:
  Constant Field Values

### SPECIAL_RECORD_NUMBER

    public static final java.lang.String SPECIAL_RECORD_NUMBER

See Also:
  Constant Field Values

### SPECIAL_TOTAL_RECORDS

    public static final java.lang.String SPECIAL_TOTAL_RECORDS

See Also:
  Constant Field Values

### SPECIAL_TOTAL_FETCH_RECORDS

    public static final java.lang.String SPECIAL_TOTAL_FETCH_RECORDS

See Also:
  Constant Field Values

### SPECIAL_GROUP_NAME

    public static final java.lang.String SPECIAL_GROUP_NAME

See Also:
  Constant Field Values

### SPECIAL_GROUP_NUMBER

    public static final java.lang.String SPECIAL_GROUP_NUMBER

See Also:
  Constant Field Values

### SPECIAL_TOTAL_GROUP_NUMBER

    public static final java.lang.String SPECIAL_TOTAL_GROUP_NUMBER

See Also:
  Constant Field Values

### SPECIAL_PAGE_NUMBER

    public static final java.lang.String SPECIAL_PAGE_NUMBER

See Also:
  Constant Field Values

### SPECIAL_GLOBAL_PAGE_NUMBER

    public static final java.lang.String SPECIAL_GLOBAL_PAGE_NUMBER

See Also:
  Constant Field Values

### SPECIAL_TOTAL_PAGE_NUMBER

    public static final java.lang.String SPECIAL_TOTAL_PAGE_NUMBER

See Also:
  Constant Field Values

### SPECIAL_GLOBAL_TOTAL_PAGE_NUMBER

    public static final java.lang.String SPECIAL_GLOBAL_TOTAL_PAGE_NUMBER

See Also:
  Constant Field Values

### SPECIAL_SQL_STATEMENT

    public static final java.lang.String SPECIAL_SQL_STATEMENT

See Also:
  Constant Field Values

### SPECIAL_USER_NAME

    public static final java.lang.String SPECIAL_USER_NAME

See Also:
  Constant Field Values

### SPECIAL_MODIFIED_DATE

    public static final java.lang.String SPECIAL_MODIFIED_DATE

See Also:
  Constant Field Values

### SPECIAL_MODIFIED_TIME

    public static final java.lang.String SPECIAL_MODIFIED_TIME

See Also:
  Constant Field Values

### SPECIAL_TASK_ID

    public static final java.lang.String SPECIAL_TASK_ID

See Also:
  Constant Field Values

### SPECIAL_PAGE_N_OF_M

    public static final java.lang.String SPECIAL_PAGE_N_OF_M

See Also:
  Constant Field Values

### SPECIAL_GLOBAL_PAGE_N_OF_M

    public static final java.lang.String SPECIAL_GLOBAL_PAGE_N_OF_M

See Also:
  Constant Field Values

### SPECIAL_PEPORTPATHONSERVER

    public static final java.lang.String SPECIAL_PEPORTPATHONSERVER

See Also:
  Constant Field Values

### SPECIAL_PEPORTPATHONDISK

    public static final java.lang.String SPECIAL_PEPORTPATHONDISK

See Also:
  Constant Field Values

### SPECIAL_CATALOGPATHONSERVER

    public static final java.lang.String SPECIAL_CATALOGPATHONSERVER

See Also:
  Constant Field Values

### SPECIAL_CATALOGPATHONDISK

    public static final java.lang.String SPECIAL_CATALOGPATHONDISK

See Also:
  Constant Field Values

### URI_ACTION_TASK_ID

    public static final java.lang.String URI_ACTION_TASK_ID

See Also:
  Constant Field Values

### CATALOG_VER_NUM

    public static final java.lang.Object CATALOG_VER_NUM

### REPORT_VER_NUM

    public static final java.lang.Object REPORT_VER_NUM

### REDIRECT_URL

    public static final java.lang.String REDIRECT_URL

See Also:
  Constant Field Values

### DHTML_STYLE

    public static final java.lang.String DHTML_STYLE

See Also:
  Constant Field Values

### ALL_VALUE_STR

    public static final java.lang.String ALL_VALUE_STR

See Also:
  Constant Field Values

### CATALOG_PATH

    public static final java.lang.Object CATALOG_PATH

### PARAM_OBJ_DEF

    public static final java.lang.Object PARAM_OBJ_DEF

### URI_IS_CACHE_ACTION

    public static final java.lang.String URI_IS_CACHE_ACTION

See Also:
  Constant Field Values

### PARAM_PROPERTIES

    public static final java.lang.String PARAM_PROPERTIES

See Also:
  Constant Field Values

### TAG_ENABLE_NLS

    public static final java.lang.String TAG_ENABLE_NLS

See Also:
  Constant Field Values

Constructor Detail

### DHTMLConstant

    public DHTMLConstant()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD